/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as d, createVNode as f } from "vue";
import { cloneDate as m } from "@progress/kendo-date-math";
import { intersects as v, isInTimeRange as w, first as g } from "../utils/main.mjs";
import { getRect as o } from "../views/common/utils.mjs";
import { canUseDOM as $ } from "@progress/kendo-vue-common";
const b = (s) => {
  let e = 0;
  return s.forEach((t) => {
    if (t) {
      const r = o(t.$el);
      e += r.width;
    }
  }), e;
}, x = (s) => {
  let e = 0;
  return s.forEach((t) => {
    if (t) {
      const r = o(t.$el);
      e += r.height;
    }
  }), e;
}, S = (s, e) => {
  const t = m(s);
  return t.setHours(e.getHours(), e.getMinutes(), e.getSeconds(), e.getMilliseconds()), t;
}, M = /* @__PURE__ */ d({
  name: "KendoCurrentTimeMarker",
  props: {
    updateInterval: {
      type: Number,
      default: 6e4
    },
    groupIndex: Number,
    vertical: Boolean,
    attachArrow: Object
  },
  inject: {
    ks: {
      default: null
    },
    bv: {
      default: null
    }
  },
  created() {
    this.interval = void 0, this.arrowRef = null, this.observer = null, this.line = null;
  },
  data() {
    return {
      show: !1
    };
  },
  mounted() {
    this.line = this.$el, this.$nextTick(() => {
      this.position();
    }), !(!this.ks.scheduler || !this.ks.scheduler.$el || !window) && (clearInterval(this.interval), this.interval = window.setInterval(this.position, this.updateInterval), $ && window.ResizeObserver && (this.observer = new window.ResizeObserver(this.position), this.observer.observe(this.ks.scheduler.$el)));
  },
  unmounted() {
    this.observer && this.observer.disconnect();
  },
  render() {
    return f("div", {
      class: "k-current-time",
      style: {
        transform: this.$props.vertical ? "translateX(-50%)" : "translateY(-50%)",
        [this.$props.vertical ? "width" : "height"]: "1px",
        visibility: this.show ? void 0 : "hidden"
      }
    }, null);
  },
  methods: {
    position() {
      if (!this.bv.slots)
        return;
      const s = this.$props.groupIndex, e = this.bv.slots.filter((t) => (s == null || t.cSlot.group.index === s) && (this.$props.vertical ? v(/* @__PURE__ */ new Date(), /* @__PURE__ */ new Date(), t.cSlot.start, t.cSlot.end, !0) : w(/* @__PURE__ */ new Date(), t.cSlot.start, t.cSlot.end)) && !t.isAllDay);
      if (e && e.length && this.line) {
        const t = g(e);
        if (!t)
          return;
        const r = this.$props.vertical ? x(e) : b(e), i = o(t.$el), l = o(this.arrowRef), c = (this.$props.vertical ? i.width : i.height) / (t.cSlot.end.getTime() - t.cSlot.start.getTime()), h = (Date.now() - S(/* @__PURE__ */ new Date(), t.cSlot.start).getTime()) * c, a = this.$props.dir === "rtl", p = this.$props.vertical ? i.top : i.top + h - l.height / 2, n = a ? "right" : "left", u = this.$props.vertical ? i[n] + h - l.width / 2 : i[n];
        this.line.style[n] = `${u}px`, this.line.style.top = `${p}px`, this.line.style[this.$props.vertical ? "height" : "width"] = `${r - 1}px`, this.show = !0;
      } else
        this.show = !1;
    }
  }
});
export {
  M as CurrentTimeMarker
};
