/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as d, createVNode as u } from "vue";
import { cloneDate as f } from "@progress/kendo-date-math";
import { canUseDOM as m, classNames as w } from "@progress/kendo-vue-common";
import { intersects as v, isInTimeRange as $, first as g } from "../utils/main.mjs";
import { getRect as l } from "../views/common/utils.mjs";
const b = (s, e) => {
  const t = f(s);
  return t.setHours(e.getHours(), e.getMinutes(), e.getSeconds(), e.getMilliseconds()), t;
}, I = /* @__PURE__ */ d({
  name: "KendoCurrentTimeMarkerArrow",
  props: {
    updateInterval: {
      type: Number,
      default: 6e4
    },
    groupIndex: Number,
    vertical: Boolean,
    attachArrow: Object
  },
  inject: {
    ks: {
      default: null
    },
    bv: {
      default: null
    }
  },
  created() {
    this.interval = void 0, this.arrowRef = null;
  },
  data() {
    return {
      show: !1
    };
  },
  mounted() {
    this.arrowRef = this.$el, this.position(), !(!this.ks.scheduler || !this.ks.scheduler.$el || !window) && (clearInterval(this.interval), this.interval = window.setInterval(this.position, this.updateInterval), m && window.ResizeObserver && (this.observer = new window.ResizeObserver(this.position), this.observer.observe(this.ks.scheduler.$el)));
  },
  unmounted() {
    this.observer && this.observer.disconnect();
  },
  render() {
    return u("div", {
      class: w("k-current-time", {
        "k-current-time-arrow-right": !this.$props.vertical && this.$props.dir !== "rtl",
        "k-current-time-arrow-left": !this.$props.vertical && this.$props.dir === "rtl",
        "k-current-time-arrow-down": this.$props.vertical
      }),
      style: {
        transform: this.$props.vertical ? this.$props.dir === "rtl" ? "translateX(50%)" : "translateX(-50%)" : "translateY(-50%)",
        visibility: this.show ? void 0 : "hidden"
      }
    }, null);
  },
  methods: {
    position() {
      if (!this.bv.slots)
        return;
      const s = this.$props.groupIndex, e = this.bv.slots.filter((t) => (s == null || t.cSlot.group.index === s) && (this.$props.vertical ? v(/* @__PURE__ */ new Date(), /* @__PURE__ */ new Date(), t.cSlot.start, t.cSlot.end, !0) : $(/* @__PURE__ */ new Date(), t.cSlot.start, t.cSlot.end)) && !t.isAllDay);
      if (e && e.length && this.$el) {
        const t = g(e);
        if (!t)
          return;
        const r = l(t.$el), o = l(this.arrowRef), a = (this.$props.vertical ? r.width : r.height) / (t.cSlot.end.getTime() - t.cSlot.start.getTime()), n = (Date.now() - b(/* @__PURE__ */ new Date(), t.cSlot.start).getTime()) * a, h = this.$props.dir === "rtl", c = this.$props.vertical ? r.top : r.top + n - o.height / 2, i = h ? "right" : "left", p = this.$props.vertical ? r[i] + n - o.width / 2 : r[i];
        this.$props.vertical ? this.arrowRef.style[i] = `${p}px` : this.arrowRef.style.top = `${c}px`, this.show = !0;
      } else
        this.show = !1;
    }
  }
});
export {
  I as CurrentTimeMarkerArrow
};
