/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as a, inject as o, h as d, createVNode as t } from "vue";
import { provideIntlService as i } from "@progress/kendo-vue-intl";
import { getTemplate as l } from "@progress/kendo-vue-common";
const m = /* @__PURE__ */ a({
  name: "KendoDateHeaderCell",
  props: {
    as: [String, Function, Object],
    format: {
      type: [String, Object],
      default: "d"
    },
    date: [Date, Object],
    start: Date,
    end: Date
  },
  inject: {
    kendoIntlService: {
      default: null
    }
  },
  setup() {
    return {
      kendoIntlService: o("kendoIntlService", {})
    };
  },
  render() {
    const e = i(this).formatDate(this.$props.date, this.$props.format), r = l.call(this, {
      h: d,
      template: this.$props.as,
      defaultRendering: e,
      additionalProps: {
        default: e,
        date: this.$props.date,
        format: this.$props.format
      }
    });
    return t("div", {
      class: "k-scheduler-cell k-heading-cell"
    }, [t("span", {
      class: "k-link k-nav-day"
    }, [r])]);
  }
});
export {
  m as DateHeaderCell
};
