/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, createVNode as t } from "vue";
import { DialogActionsBar as i } from "@progress/kendo-vue-dialogs";
import { saveIcon as a, cancelIcon as s } from "@progress/kendo-svg-icons";
import { Button as o } from "@progress/kendo-vue-buttons";
const d = /* @__PURE__ */ n({
  name: "KendoSchedulerActionButtons",
  props: {
    editSaveMessage: String,
    editCancelMessage: String,
    onCancel: Function
  },
  inject: {
    kendoForm: {
      default: {}
    }
  },
  render() {
    return t(i, {
      class: "k-form-buttons",
      layout: "start"
    }, {
      default: () => [t(o, {
        type: "submit",
        themeColor: "primary",
        disabled: !this.kendoForm.allowSubmit,
        icon: "save",
        svgIcon: a,
        onClick: this.onSubmit
      }, {
        default: () => [this.editSaveMessage]
      }), t(o, {
        onClick: this.handleCancel,
        icon: "cancel",
        svgIcon: s
      }, {
        default: () => [this.editCancelMessage]
      })]
    });
  },
  methods: {
    onSubmit(e) {
      this.kendoForm.onSubmit(e);
    },
    handleCancel(e) {
      this.$emit("cancel", e);
    }
  }
});
export {
  d as SchedulerActionButtons
};
