/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as M, inject as v, createVNode as t, isVNode as O } from "vue";
import { Dialog as k, DialogActionsBar as R } from "@progress/kendo-vue-dialogs";
import { provideLocalizationService as D } from "@progress/kendo-vue-intl";
import { messages as z, editorOccurrence as j, editorSeries as I, editorRecurringConfirmation as L, editorRecurringDialogTitle as T, deleteOccurrence as b, deleteSeries as y, deleteRecurringDialogTitle as B, deleteRecurringConfirmation as $ } from "../messages/main.mjs";
import { guid as F } from "@progress/kendo-vue-common";
import { Button as r } from "@progress/kendo-vue-buttons";
function s(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !O(e);
}
const K = /* @__PURE__ */ M({
  name: "KendoSchedulerOccurrenceDialog",
  props: {
    dataItem: Object,
    isRemove: Boolean,
    onClose: Function,
    onOccurrenceclose: Function,
    onSeriesclose: Function
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  created() {
    this.dialogId = F();
  },
  mounted() {
    setTimeout(() => {
      const e = document.getElementById(this.dialogId);
      e && e.focus();
    }, 10);
  },
  setup() {
    return {
      kendoLocalizationService: v("kendoLocalizationService", {})
    };
  },
  render() {
    const {
      isRemove: e
    } = this.$props, l = D(this), o = (c) => l.toLanguageString(c, z[c]), a = o(j), d = o(I), u = o(L), g = o(T), m = o(b), p = o(y), f = o(B), h = o($), S = e ? f : g, C = e ? h : u, i = e ? m : a, n = e ? p : d;
    return t(k, {
      title: S,
      appendTo: "body",
      wrapperId: this.dialogId,
      onClose: this.handleClose
    }, {
      default: () => [C, t(R, null, {
        default: () => [t(r, {
          onClick: this.handleOccurrenceClick
        }, s(i) ? i : {
          default: () => [i]
        }), t(r, {
          onClick: this.handleSeriesClick
        }, s(n) ? n : {
          default: () => [n]
        })]
      })]
    });
  },
  methods: {
    handleClose({
      event: e
    }) {
      this.$emit("close", {
        event: e,
        value: null
        // target: target.current
      });
    },
    handleSeriesClick(e) {
      this.$emit("seriesclose", {
        event: e,
        value: null
        // target: target.current
      });
    },
    handleOccurrenceClick(e) {
      this.$emit("occurrenceclose", {
        event: e,
        value: null
        // target: target.current
      });
    }
  }
});
export {
  K as SchedulerOccurrenceDialog
};
