/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as g, inject as f, createVNode as o, isVNode as p } from "vue";
import { Dialog as h, DialogActionsBar as C } from "@progress/kendo-vue-dialogs";
import { provideLocalizationService as v } from "@progress/kendo-vue-intl";
import { editorCancel as a, messages as t, editorDelete as l, deleteConfirmation as r, deleteDialogTitle as c } from "../messages/main.mjs";
import { Button as d } from "@progress/kendo-vue-buttons";
import { guid as S } from "@progress/kendo-vue-common";
function s(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !p(e);
}
const b = /* @__PURE__ */ g({
  name: "KendoSchedulerRemoveDialog",
  props: {
    dataItem: Object,
    onClose: Function,
    onCancel: Function,
    onConfirm: Function
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  created() {
    this.dialogId = S();
  },
  mounted() {
    setTimeout(() => {
      const e = document.getElementById(this.dialogId);
      e && e.focus();
    }, 10);
  },
  setup() {
    return {
      kendoLocalizationService: f("kendoLocalizationService", {})
    };
  },
  render() {
    const e = v(this), n = e.toLanguageString(a, t[a]), i = e.toLanguageString(l, t[l]), m = e.toLanguageString(r, t[r]), u = e.toLanguageString(c, t[c]);
    return o(h, {
      title: u,
      appendTo: "body",
      wrapperId: this.dialogId,
      onClose: this.handleClose
    }, {
      default: () => [m, o(C, null, {
        default: () => [o(d, {
          onClick: this.handleCancel
        }, s(n) ? n : {
          default: () => [n]
        }), o(d, {
          onClick: this.handleConfirm
        }, s(i) ? i : {
          default: () => [i]
        })]
      })]
    });
  },
  methods: {
    handleClose({
      event: e
    }) {
      this.$emit("close", {
        event: e
      });
    },
    handleCancel(e) {
      this.$emit("cancel", {
        event: e,
        value: null
      });
    },
    handleConfirm(e) {
      this.$emit("confirm", {
        event: e,
        value: null
      });
    }
  }
});
export {
  b as SchedulerRemoveDialog
};
