/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as t, inject as n, createVNode as e } from "vue";
import { Button as i } from "@progress/kendo-vue-buttons";
import { Icon as r } from "@progress/kendo-vue-common";
import { moreHorizontalIcon as c } from "@progress/kendo-svg-icons";
const s = /* @__PURE__ */ t({
  name: "KendoShowMoreItemsButton",
  props: {
    //  currentSlot: Object
    onClick: Function
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  setup() {
    return {
      kendoLocalizationService: n("kendoLocalizationService", {})
    };
  },
  render() {
    return e(i, {
      tabIndex: -1,
      class: "k-more-events",
      onClick: this.handleClick
    }, {
      default: () => [e(r, {
        name: "more-horizontal",
        icon: c
      }, null)]
    });
  },
  methods: {
    handleClick(o) {
      this.$emit("click", {
        target: {
          slot: this.currentSlot
        },
        event: o
      });
    }
  }
});
export {
  s as ShowMoreItemsButton
};
