/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, inject as o, h as a, createVNode as i } from "vue";
import { provideIntlService as d } from "@progress/kendo-vue-intl";
import { getTemplate as l } from "@progress/kendo-vue-common";
const m = /* @__PURE__ */ n({
  name: "KendoTimeHeaderCell",
  props: {
    as: [String, Function, Object],
    format: {
      type: [String, Object],
      default: "t"
    },
    date: [Date, Object],
    start: [Date, Object],
    end: [Date, Object]
  },
  inject: {
    kendoIntlService: {
      default: null
    }
  },
  setup() {
    return {
      kendoIntlService: o("kendoIntlService", {})
    };
  },
  render() {
    const e = d(this).formatDate(this.$props.date, this.$props.format), r = l.call(this, {
      h: a,
      template: this.$props.as,
      defaultRendering: e,
      additionalProps: {
        default: e,
        date: this.$props.date,
        format: this.$props.format
      }
    });
    return i("div", {
      class: "k-scheduler-cell k-heading-cell"
    }, [r]);
  }
});
export {
  m as TimeHeaderCell
};
