/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as l, createVNode as i, isVNode as r } from "vue";
import { showFullDay as e, showWorkDay as s, messages as n } from "../../../messages/main.mjs";
import { ToolbarItem as a, Button as c } from "@progress/kendo-vue-buttons";
import { getDefaultSlots as u } from "@progress/kendo-vue-common";
import { provideLocalizationService as h } from "@progress/kendo-vue-intl";
import { clockIcon as m } from "@progress/kendo-svg-icons";
function d(o) {
  return typeof o == "function" || Object.prototype.toString.call(o) === "[object Object]" && !r(o);
}
const w = /* @__PURE__ */ l({
  name: "KendoBusinessHours",
  emits: {
    click: null
  },
  inject: {
    ks: {
      default: null
    },
    kendoLocalizationService: {
      default: null
    }
  },
  props: {
    slotDuration: Number
  },
  render() {
    let o;
    const t = u(this);
    return this.localization = h(this), this.slotDuration && this.slotDuration < 24 * 60 ? i(a, {
      class: "k-scheduler-navigation"
    }, {
      default: () => [t || i(c, {
        tabIndex: -1,
        icon: "clock",
        svgIcon: m,
        onClick: this.handleShowWorkHoursClick
      }, d(o = this.localization.toLanguageString(this.ks.showWorkHours ? e : s, n[this.ks.showWorkHours ? e : s])) ? o : {
        default: () => [o]
      })]
    }) : null;
  },
  methods: {
    handleShowWorkHoursClick(o) {
      this.$emit("click", o);
    }
  }
});
export {
  w as BusinessHours
};
