/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as d, createVNode as e, isVNode as h } from "vue";
import { ToolbarItem as k, ButtonGroup as g, Button as i } from "@progress/kendo-vue-buttons";
import { getDefaultSlots as m } from "@progress/kendo-vue-common";
import { today as a, messages as o, previousTitle as c, nextTitle as r } from "../../../messages/main.mjs";
import { provideLocalizationService as f } from "@progress/kendo-vue-intl";
import { caretAltRightIcon as s, caretAltLeftIcon as u } from "@progress/kendo-svg-icons";
function p(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !h(t);
}
const T = /* @__PURE__ */ d({
  name: "KendoSchedulerNavigation",
  props: {
    isRtl: Boolean,
    onPrevclick: Function,
    onNextclick: Function,
    onTodayclick: Function
  },
  inject: {
    ks: {
      default: null
    },
    kendoLocalizationService: {
      default: null
    }
  },
  render() {
    m(this), this.localization = f(this);
    const t = this.localization.toLanguageString(a, o[a]), l = this.localization.toLanguageString(c, o[c]), n = this.localization.toLanguageString(r, o[r]);
    return e(k, null, {
      default: () => [e(g, {
        class: "k-scheduler-navigation"
      }, {
        default: () => [e(i, {
          role: "button",
          class: "k-nav-today",
          tabIndex: -1,
          title: t,
          "aria-label": t,
          onClick: this.handleTodayClick
        }, p(t) ? t : {
          default: () => [t]
        }), e(i, {
          role: "button",
          tabIndex: -1,
          class: "k-button-icon k-nav-prev",
          icon: this.isRtl ? "caret-alt-right" : "caret-alt-left",
          svgIcon: this.isRtl ? s : u,
          title: l,
          "aria-label": l,
          onClick: this.handlePrevClick
        }, null), e(i, {
          role: "button",
          tabIndex: -1,
          class: "k-button-icon k-nav-next",
          icon: this.isRtl ? "caret-alt-left" : "caret-alt-right",
          svgIcon: this.isRtl ? u : s,
          title: n,
          "aria-label": n,
          onClick: this.handleNextClick
        }, null)]
      })]
    });
  },
  methods: {
    handleTodayClick(t) {
      this.$emit("todayclick", t);
    },
    handlePrevClick(t) {
      this.$emit("prevclick", t);
    },
    handleNextClick(t) {
      this.$emit("nextclick", t);
    }
  }
});
export {
  T as SchedulerNavigation
};
