/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, createVNode as l, isVNode as r } from "vue";
import { Button as s } from "@progress/kendo-vue-buttons";
import { provideLocalizationService as a } from "@progress/kendo-vue-intl";
import { messages as c } from "../../../messages/main.mjs";
function p(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !r(e);
}
const f = /* @__PURE__ */ n({
  name: "KendoViewSelectorItem",
  props: {
    view: Object
  },
  inject: {
    kendoLocalizationService: {
      default: null
    },
    setActiveViewName: {
      default: null
    },
    ks: {
      default: null
    }
  },
  render() {
    const e = a(this), i = "scheduler." + this.$props.view.name + "ViewTitle", o = e.toLanguageString(i, c[i]) || this.$props.view.name, t = this.$props.view.title || o;
    return l(s, {
      class: "k-toolbar-button",
      role: "button",
      type: "button",
      tabIndex: -1,
      togglable: !0,
      selected: this.$props.view.name === this.ks.activeViewName,
      onClick: this.handleClick
    }, p(t) ? t : {
      default: () => [t]
    });
  },
  methods: {
    handleClick() {
      this.$props.view.name && this.setActiveViewName(this.$props.view.name);
    }
  }
});
export {
  f as ViewSelectorItem
};
