/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as u, createVNode as i, isVNode as h } from "vue";
import { ButtonGroup as w } from "@progress/kendo-vue-buttons";
import { ViewSelectorItem as p } from "./ViewSelectorItem.mjs";
import { provideLocalizationService as f } from "@progress/kendo-vue-intl";
import { messages as a, dropdownlistSelectViewAriaLabel as c } from "../../../messages/main.mjs";
import { canUseDOM as d } from "@progress/kendo-vue-common";
function k(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !h(t);
}
const L = /* @__PURE__ */ u({
  name: "KendoViewSelectorList",
  inject: {
    kendoLocalizationService: {
      default: null
    },
    ks: {
      default: null
    },
    setActiveViewName: {
      default: null
    }
  },
  mounted() {
    this.calculateMedia(), d && window.ResizeObserver && (this.observer = new window.ResizeObserver(this.calculateMedia), this.ks.scheduler && this.ks.scheduler.$el && this.observer.observe(this.ks.scheduler.$el));
  },
  unmounted() {
    this.observer && this.observer.disconnect();
  },
  data() {
    return {
      media: "desktop"
    };
  },
  render() {
    let t;
    const o = this.ks.views;
    this.localization = f(this);
    const n = o.find((e) => e.name === this.ks.activeViewName), s = "scheduler." + n.name + "ViewTitle";
    this.localization.toLanguageString(s, a[s]) || n.name;
    const m = function() {
      return i("select", {
        "tab-index": -1,
        class: "k-views-dropdown k-dropdown k-picker k-picker-solid k-rounded-md k-picker-md",
        "aria-label": this.localization.toLanguageString(c, a[c]),
        onChange: this.ddlChange
      }, [o.map(function(e) {
        const r = "scheduler." + e.name + "ViewTitle", l = this.localization.toLanguageString(r, a[r]) || e.name;
        return i("option", {
          value: e.name || e.title || l,
          selected: e.name === this.ks.activeViewName
        }, [e.title || l]);
      }, this)]);
    };
    return n && this.media === "mobile" ? m.call(this) : i(w, {
      class: "k-toolbar-button-group k-scheduler-views"
    }, k(t = o.map(function(e) {
      return i(p, {
        key: e.name,
        view: e
      }, null);
    }, this)) ? t : {
      default: () => [t]
    });
  },
  methods: {
    ddlChange(t) {
      this.setActiveViewName(t.target.value);
    },
    calculateMedia() {
      d && window.matchMedia && (this.media = window.matchMedia("(min-width: 1024px)").matches ? "desktop" : "mobile");
    }
  }
});
export {
  L as ViewSelectorList
};
