/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as r, createVNode as t } from "vue";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
const s = /* @__PURE__ */ r({
  name: "KendoSchedulerResourceIteratorContext",
  inheritAttrs: !1,
  props: {
    noWrap: Boolean,
    resource: {
      type: Object,
      default: function() {
        return {};
      }
    },
    groupIndex: {
      type: Number,
      default: 0
    }
  },
  data() {
    return {
      ri: {
        resource: this.resource,
        groupIndex: this.groupIndex
      }
    };
  },
  provide() {
    return {
      ri: this.ri
    };
  },
  render() {
    const e = o(this);
    return e ? this.$props.noWrap && e ? e[0] : t("div", {
      class: "k-scheduler-cell k-group-cell"
    }, [e]) : null;
  }
});
export {
  s as SchedulerResourceIteratorContext
};
