/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, inject as a, createVNode as i } from "vue";
import { filterBy as n } from "@progress/kendo-data-query";
import { ComboBox as r } from "@progress/kendo-vue-dropdowns";
const m = /* @__PURE__ */ o({
  name: "KendoFilterableComboBox",
  props: {
    value: [String, Number, Object],
    dataItems: Array,
    validationMessage: String,
    touched: Boolean,
    modified: Boolean,
    visited: Boolean,
    valid: Boolean,
    name: String
  },
  data() {
    return {
      filteredData: this.$props.dataItems
    };
  },
  setup() {
    return {
      kendoLocalizationService: a("kendoLocalizationService", {})
    };
  },
  render() {
    return this.$props, i(r, {
      dataItems: this.filteredData,
      filterable: !0,
      onFilterchange: this.onFilterChange,
      onChange: this.onValueChange
    }, null);
  },
  methods: {
    onValueChange(e) {
      this.$emit("change", e);
    },
    onFilterChange(e) {
      const t = n(this.$props.dataItems || [], e.filter);
      this.filteredData = t;
    }
  }
});
export {
  m as FilterableComboBox
};
