/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as p, createVNode as i } from "vue";
import { MultiSelect as c, DropDownList as h } from "@progress/kendo-vue-dropdowns";
import { isPresent as v } from "../utils/main.mjs";
const F = /* @__PURE__ */ p({
  name: "KendoResourceEditor",
  emits: {
    change: null
  },
  props: {
    resource: Object,
    dataItems: Array,
    textField: String,
    valueField: String,
    colorField: String,
    multiple: Boolean,
    validationMessage: String,
    value: [String, Number, Object],
    touched: Boolean,
    modified: Boolean,
    visited: Boolean,
    valid: Boolean,
    name: String
  },
  render() {
    const {
      colorField: t,
      textField: a,
      valueField: s
    } = this.$props, o = Array.isArray(this.$props.value) ? this.$props.dataItems.filter((l) => this.$props.value.some((n) => l[this.$props.valueField] === n)) : this.$props.dataItems.find((l) => l[this.$props.valueField] === this.$props.value), r = this.$props.multiple ? c : h, d = function(l, n, e) {
      return i("span", {
        class: "k-input-inner"
      }, [t && e.value && i("span", {
        key: 1,
        class: "k-scheduler-mark",
        style: {
          backgroundColor: e.value[t],
          marginRight: e.value[s] ? "8px" : "4px"
        }
      }, null), e.value && e.value[a]]);
    }, u = function(l, n, e, m) {
      return i("li", {
        class: {
          "k-item": !0,
          ...e.itemClass
        },
        onClick: m.onClick
      }, [t && i("span", {
        key: 1,
        class: "k-scheduler-mark",
        style: {
          backgroundColor: e.dataItem[t],
          marginRight: v(e.dataItem[s]) ? "8px" : "4px"
        }
      }, null), e.dataItem[a]]);
    };
    return i(r, {
      value: o,
      onChange: this.handleChange,
      dataItems: this.$props.dataItems,
      textField: this.$props.textField,
      dataItemKey: this.$props.valueField,
      valid: this.$props.valid,
      validationMessage: this.$props.validationMessage,
      itemRender: u,
      valueRender: d
    }, null);
  },
  methods: {
    handleChange(t) {
      const a = t.component.$props.dataItemKey, s = this.$props.multiple ? (t.value || []).map((o) => o[a]) : t.value[a];
      this.$emit("change", {
        value: s
      });
    }
  }
});
export {
  F as ResourceEditor
};
