/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { DateTimePicker as o, DatePicker as s } from "@progress/kendo-vue-dateinputs";
import { toLocalDate as m, ZonedDate as n } from "@progress/kendo-date-math";
import { defineComponent as d, h } from "vue";
const p = /* @__PURE__ */ d({
  name: "KendoZonedDateTime",
  emits: {
    change: null
  },
  props: {
    ...o.props,
    value: [String, Date],
    isAllDay: Boolean,
    as: [String, Function, Object]
  },
  inject: {
    ks: {
      default: null
    }
  },
  render() {
    const {
      as: e,
      ...t
    } = this.$props, a = this.ks.timezone, i = {
      ...t,
      format: this.isAllDay ? "d" : "g",
      value: this.readDateAsLocal(t.value, a)
    }, r = this.isAllDay ? s : o;
    return h(r, {
      onChange: this.handleChange,
      ...i
    });
  },
  methods: {
    handleChange(e) {
      this.$emit("change", {
        value: this.readDateWithTimezone(e.target.value, this.ks.timezone)
      });
    },
    readDateAsLocal(e, t) {
      return e && m(n.fromLocalDate(e, t).toUTCDate());
    },
    readDateWithTimezone(e, t) {
      return e && n.fromUTCDate(new Date(Date.UTC(e.getFullYear(), e.getMonth(), e.getDate(), e.getHours(), e.getMinutes(), e.getSeconds(), e.getMilliseconds())), t).toLocalDate();
    }
  }
});
export {
  p as ZonedDateTime
};
