/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { clone as h } from "@progress/kendo-vue-common";
import { DATA_ACTION as D } from "../../constants/main.mjs";
import { setField as i, getField as l, slotDive as I } from "../../utils/main.mjs";
let n = /* @__PURE__ */ function(e) {
  return e.set = "DRAG_ITEM_SET", e.start = "DRAG_ITEM_START", e.drag = "DRAG_ITEM_DRAG", e.complete = "DRAG_ITEM_COMPLETE", e.completeOccurrence = "DRAG_ITEM_COMPLETE_OCCURRENCE", e.completeSeries = "DRAG_ITEM_COMPLETE_SERIES", e.reset = "DRAG_ITEM_RESET", e.dragSelected = "DRAG_ITEM_DRAG_SELECTED", e;
}({}), y = 0, b = 0, k = 0, f = null;
const R = function(e) {
  const r = h(this.dataItem);
  switch (e.type) {
    case n.set: {
      this.currentDragItem = e.payload;
      break;
    }
    case n.reset: {
      this.currentDragItem = null;
      break;
    }
    case n.dragSelected: {
      if (Math.abs(b - e.payload.x) < 10 && Math.abs(k - e.payload.y) < 10)
        return;
      const t = I(e.payload.x, e.payload.y, 7);
      if (!t || t === f)
        return;
      const s = t.getAttribute("data-slot-start"), a = t.getAttribute("data-slot-allday") === "true";
      if (!this.ignoreIsAllDay && a !== this.isAllDay)
        return;
      const o = new Date(l(r, this.ks.fields.start)), d = Number(s) - o.getTime(), E = this.bv.selectedItems.map((m) => {
        if (!m)
          return null;
        const u = h(m.props.dataItem), g = new Date(m.props.start.getTime() + d), p = new Date(m.props.end.getTime() + d);
        return i(u, this.ks.fields.start, g), i(u, this.ks.fields.end, p), u;
      }).filter(Boolean);
      f = t, this.currentDragItem = [...E];
      break;
    }
    case n.start: {
      const t = e.payload.x, s = e.payload.y;
      b = t, k = s;
      const a = I(t, s, 7);
      if (!a)
        return;
      const o = a.getAttribute("data-slot-start"), d = l(r, this.ks.fields.start);
      if (o === null)
        return;
      y = Number(o) - new Date(d).getTime();
      break;
    }
    case n.drag: {
      if (Math.abs(b - e.payload.x) < 10 && Math.abs(k - e.payload.y) < 10)
        return;
      const t = I(e.payload.x, e.payload.y, 7);
      if (!t || t === f)
        return;
      const s = t.getAttribute("data-slot-start"), a = t.getAttribute("data-slot-group"), o = t.getAttribute("data-slot-allday") === "true";
      if (!this.ignoreIsAllDay && o !== this.isAllDay)
        return;
      const d = new Date(l(r, this.ks.fields.start)), m = new Date(l(r, this.ks.fields.end)).getTime() - d.getTime(), u = new Date(Number(s) - Number(y)), g = new Date(Number(s) - Number(y) + m), p = this.ks.groups.find((c) => c.index === Number(a));
      i(r, this.ks.fields.start, u), i(r, this.ks.fields.end, g), p && this.ks.groups.length > 1 && p.resources.forEach((c) => {
        c.multiple || i(r, c.field, c[c.valueField]);
      }), f = t, r && (this.currentDragItem = r);
      break;
    }
    case n.complete: {
      const t = this.compDragItem;
      this.currentDragItem = null, t && this.$emit("dataaction", {
        type: D.update,
        series: !1,
        dataItem: t
      });
      break;
    }
    case n.completeOccurrence: {
      const t = Array.isArray(this.compDragItem) ? this.compDragItem.slice() : h(this.compDragItem), s = this.compDragItem;
      this.currentDragItem = null, s && this.$emit("dataaction", {
        type: D.update,
        series: !1,
        dataItem: t
      });
      break;
    }
    case n.completeSeries: {
      let t;
      if (Array.isArray(this.compDragItem))
        t = this.compDragItem.map((s) => {
          const a = h(s);
          return i(a, this.ks.fields.start, l(s, this.ks.fields.start)), i(a, this.ks.fields.end, l(s, this.ks.fields.end)), a;
        });
      else {
        const s = h(this.compDragItem);
        i(s, this.ks.fields.start, l(this.compDragItem, this.ks.fields.start)), i(s, this.ks.fields.end, l(this.compDragItem, this.ks.fields.end)), t = s;
      }
      this.currentDragItem = null, t && this.$emit("dataaction", {
        type: D.update,
        series: !0,
        dataItem: t
      });
      break;
    }
    default:
      this.currentDragItem = this.compDragItem;
      break;
  }
  this.$emit("dragitemchange", this.currentDragItem);
};
export {
  n as DRAG_ITEM_ACTION,
  R as useDragItem
};
