/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { clone as c } from "@progress/kendo-vue-common";
import { DATA_ACTION as S } from "../../constants/main.mjs";
import { setField as d, getField as m, slotDive as E } from "../../utils/main.mjs";
let o = /* @__PURE__ */ function(t) {
  return t.set = "RESIZE_ITEM_SET", t.start = "RESIZE_ITEM_START", t.startDrag = "RESIZE_ITEM_START_DRAG", t.startDragSelected = "RESIZE_ITEM_START_DRAG_SELECTED", t.endDrag = "RESIZE_ITEM_END_DRAG", t.endDragSelected = "RESIZE_ITEM_END_DRAG_SELECTED", t.complete = "RESIZE_ITEM_COMPLETE", t.completeOccurrence = "RESIZE_ITEM_COMPLETE_OCCURRENCE", t.completeSeries = "RESIZE_ITEM_COMPLETE_SERIES", t.reset = "RESIZE_ITEM_RESET", t;
}({}), p = null;
const z = function(t, h) {
  let n = this.compResizeItem;
  switch (t.type) {
    case o.set:
      n = t.payload;
      break;
    case o.reset:
      n = null;
      break;
    case o.start: {
      h.stopPropagation(), h.preventDefault();
      const r = t.payload.x, s = t.payload.y, e = E(r, s, 7);
      if (!e || e === p)
        return;
      const i = e.getAttribute("data-slot-start"), l = new Date(Number(i)), a = c(this.dataItem);
      if (l >= m(a, this.ks.fields.end))
        return;
      d(a, this.ks.fields.start, l), p = e, n = a;
      break;
    }
    case o.startDragSelected: {
      h.stopPropagation(), h.preventDefault();
      const r = t.payload.x, s = t.payload.y, e = c(this.dataItem), i = E(r, s, 7);
      if (!i || i === p)
        return;
      const l = i.getAttribute("data-slot-start"), a = new Date(m(e, this.ks.fields.start)), k = new Date(Number(l)).getTime() - a.getTime();
      let D = !1;
      const R = this.bv.selectedItems.map((u) => {
        if (!u)
          return null;
        const f = c(u.props.dataItem), I = new Date(u.props.start.getTime() + k);
        if (I >= m(f, this.ks.fields.end)) {
          D = !0;
          return;
        }
        return d(f, this.ks.fields.start, I), f;
      }).filter(Boolean);
      D || (n = [...R]);
      break;
    }
    case o.startDrag: {
      const r = t.payload.x, s = t.payload.y, e = E(r, s, 7);
      if (!e || e === p)
        return;
      const i = e.getAttribute("data-slot-start"), l = new Date(Number(i)), a = c(this.dataItem);
      if (l >= a.end)
        return;
      d(a, this.ks.fields.start, l), p = e, n = a;
      break;
    }
    case o.endDrag: {
      const r = t.payload.x, s = t.payload.y, e = E(r, s, 7);
      if (!e || e === p)
        return;
      const i = e.getAttribute("data-slot-end"), l = new Date(Number(i)), a = c(this.dataItem);
      if (l <= a.start)
        return;
      d(a, this.ks.fields.end, l), p = e, n = a;
      break;
    }
    case o.endDragSelected: {
      h.stopPropagation(), h.preventDefault();
      const r = t.payload.x, s = t.payload.y, e = c(this.dataItem), i = E(r, s, 7);
      if (!i || i === p)
        return;
      const l = i.getAttribute("data-slot-start"), a = new Date(m(e, this.ks.fields.end)), k = new Date(Number(l)).getTime() - a.getTime();
      let D;
      const R = this.bv.selectedItems.map((u) => {
        if (!u)
          return null;
        const f = c(u.props.dataItem), I = new Date(u.props.end.getTime() + k);
        if (I <= m(f, this.ks.fields.start)) {
          D = !0;
          return;
        }
        return d(f, this.ks.fields.end, I), f;
      }).filter(Boolean);
      D || (n = [...R]);
      break;
    }
    case o.complete: {
      n = null, this.compResizeItem && this.$emit("dataaction", {
        type: S.update,
        series: !1,
        dataItem: this.compResizeItem
      });
      break;
    }
    case o.completeOccurrence: {
      n = null, this.compResizeItem && this.$emit("dataaction", {
        type: S.update,
        series: !1,
        dataItem: this.compResizeItem
      });
      break;
    }
    case o.completeSeries: {
      n = null;
      let r;
      if (Array.isArray(this.compResizeItem))
        r = this.compResizeItem.map((s) => {
          const e = c(s);
          return d(e, this.ks.fields.start, m(s, this.ks.fields.start)), d(e, this.ks.fields.end, m(s, this.ks.fields.end)), e;
        });
      else {
        const s = c(this.compResizeItem);
        d(s, this.ks.fields.start, m(this.compResizeItem, this.ks.fields.start)), d(s, this.ks.fields.end, m(this.compResizeItem, this.ks.fields.end)), r = s;
      }
      r && this.$emit("dataaction", {
        type: S.update,
        series: !0,
        dataItem: r
      });
      break;
    }
    default:
      n = null;
      break;
  }
  this.currentResizeItem = n, this.$emit("resizeitemchange", n);
};
export {
  o as RESIZE_ITEM_ACTION,
  z as useResizeItem
};
