/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
const e = "scheduler.allEvents", r = "scheduler.allDay", t = "scheduler.today", c = "scheduler.dropdownlistSelectViewAriaLabel", n = "scheduler.timelineViewTitle", o = "scheduler.weekViewTitle", i = "scheduler.workWeekViewTitle", d = "scheduler.agendaViewTitle", s = "scheduler.dayViewTitle", l = "scheduler.monthViewTitle", u = "scheduler.deleteTitle", a = "scheduler.previousTitle", E = "scheduler.nextTitle", h = "scheduler.showFullDay", y = "scheduler.showWorkDay", v = "scheduler.editOccurrence", T = "scheduler.editSeries", D = "scheduler.editRecurringConfirmation", f = "scheduler.editRecurringDialogTitle", m = "scheduler.editSave", R = "scheduler.editCancel", p = "scheduler.editorTitle", k = "scheduler.editorEventTitle", w = "scheduler.editorEventStart", S = "scheduler.editorEventStartTimeZone", W = "scheduler.editorEventEnd", O = "scheduler.editorEventEndTimeZone", V = "scheduler.editorEventAllDay", g = "scheduler.editorEventDescription", F = "scheduler.editorEventSeparateTimeZones", q = "scheduler.editorEventTimeZone", M = "scheduler.recurrenceEditorRepeat", Z = "scheduler.recurrenceEditorDailyInterval", A = "scheduler.recurrenceEditorDailyRepeatEvery", P = "scheduler.recurrenceEditorWeeklyInterval", Y = "scheduler.recurrenceEditorWeeklyRepeatEvery", I = "scheduler.recurrenceEditorWeeklyRepeatOn", C = "scheduler.recurrenceEditorMonthlyDay", b = "scheduler.recurrenceEditorMonthlyInterval", L = "scheduler.recurrenceEditorMonthlyRepeatEvery", N = "scheduler.recurrenceEditorMonthlyRepeatOn", x = "scheduler.recurrenceEditorYearlyOf", j = "scheduler.recurrenceEditorYearlyRepeatEvery", z = "scheduler.recurrenceEditorYearlyRepeatOn", B = "scheduler.recurrenceEditorYearlyInterval", G = "scheduler.recurrenceEditorFrequenciesDaily", H = "scheduler.recurrenceEditorFrequenciesMonthly", J = "scheduler.recurrenceEditorFrequenciesNever", K = "scheduler.recurrenceEditorFrequenciesWeekly", Q = "scheduler.recurrenceEditorFrequenciesYearly", U = "scheduler.recurrenceEditorOffsetPositionsFirst", X = "scheduler.recurrenceEditorOffsetPositionsSecond", _ = "scheduler.recurrenceEditorOffsetPositionsThird", $ = "scheduler.recurrenceEditorOffsetPositionsFourth", ee = "scheduler.recurrenceEditorOffsetPositionsLast", re = "scheduler.recurrenceEditorWeekdaysDay", te = "scheduler.recurrenceEditorWeekdaysWeekday", ce = "scheduler.recurrenceEditorWeekdaysWeekendday", ne = "scheduler.recurrenceEditorEndAfter", oe = "scheduler.recurrenceEditorEndOccurrence", ie = "scheduler.recurrenceEditorEndLabel", de = "scheduler.recurrenceEditorEndNever", se = "scheduler.recurrenceEditorEndOn", le = "scheduler.editorDelete", ue = "scheduler.deleteConfirmation", ae = "scheduler.deleteRecurringConfirmation", Ee = "scheduler.deleteOccurrence", he = "scheduler.deleteSeries", ye = "scheduler.deleteDialogTitle", ve = "scheduler.deleteRecurringDialogTitle", Te = "scheduler.dateTitle", De = "scheduler.timeTitle", fe = "scheduler.eventTitle", me = "scheduler.editorValidationRequired", Re = "scheduler.editorValidationStart", pe = "scheduler.editorValidationEnd", ke = "scheduler.noEvents", we = {
  [me]: "Field is required.",
  [Re]: "Start time must be before End time.",
  [pe]: "End time must be after Start time.",
  [e]: "All events",
  [r]: "all day",
  [t]: "Today",
  [c]: "Select View",
  [s]: "Day",
  [l]: "Month",
  [o]: "Week",
  [i]: "Work Week",
  [n]: "Timeline",
  [d]: "Agenda",
  [u]: "Delete",
  [a]: "Previous",
  [E]: "Next",
  [h]: "Show full day",
  [y]: "Show business hours",
  [v]: "Edit current occurrence",
  [T]: "Edit the series",
  [D]: "Do you want to edit only this event occurrence or the whole series?",
  [f]: "Edit Recurring Item",
  [m]: "Save",
  [R]: "Cancel",
  [le]: "Delete",
  [p]: "Event",
  [k]: "Title",
  [w]: "Start",
  [S]: "Start Time Zone",
  [W]: "End",
  [O]: "End Time Zone",
  [V]: "All Day Event",
  [g]: "Description",
  [F]: "End in different Time Zone",
  [q]: "Specify Time Zone",
  [M]: "Repeat",
  [Z]: "day(s)",
  [A]: "Repeat every",
  [P]: "week(s)",
  [Y]: "Repeat every",
  [I]: "Repeat on",
  [C]: "Day",
  [b]: "month(s)",
  [L]: "Repeat every",
  [N]: "Repeat on",
  [x]: "of",
  [j]: "Repeat every",
  [z]: "Repeat on",
  [B]: "year(s)",
  [G]: "Daily",
  [H]: "Monthly",
  [J]: "Never",
  [K]: "Weekly",
  [Q]: "Yearly",
  [U]: "First",
  [X]: "Second",
  [_]: "Third",
  [$]: "Fourth",
  [ee]: "Last",
  [re]: "Day",
  [te]: "Weekday",
  [ce]: "Weekend Day",
  [ne]: "After",
  [oe]: "occurrence(s)",
  [ie]: "End",
  [de]: "Never",
  [se]: "On",
  [ue]: "Are you sure you want to delete this event?",
  [ae]: "Do you want to delete only this event occurrence or the whole series?",
  [Ee]: "Delete current occurrence",
  [he]: "Delete the series",
  [ye]: "Delete Event",
  [ve]: "Delete Recurring Item",
  [Te]: "Date",
  [De]: "Time",
  [fe]: "Event",
  [ke]: "no events"
};
export {
  d as agendaViewTitle,
  r as allDay,
  e as allEvents,
  Te as dateTitle,
  s as dayViewTitle,
  ue as deleteConfirmation,
  ye as deleteDialogTitle,
  Ee as deleteOccurrence,
  ae as deleteRecurringConfirmation,
  ve as deleteRecurringDialogTitle,
  he as deleteSeries,
  u as deleteTitle,
  c as dropdownlistSelectViewAriaLabel,
  R as editorCancel,
  le as editorDelete,
  V as editorEventAllDay,
  g as editorEventDescription,
  W as editorEventEnd,
  O as editorEventEndTimeZone,
  F as editorEventSeparateTimeZones,
  w as editorEventStart,
  S as editorEventStartTimeZone,
  q as editorEventTimeZone,
  k as editorEventTitle,
  v as editorOccurrence,
  D as editorRecurringConfirmation,
  f as editorRecurringDialogTitle,
  m as editorSave,
  T as editorSeries,
  p as editorTitle,
  pe as editorValidationEnd,
  me as editorValidationRequired,
  Re as editorValidationStart,
  fe as eventTitle,
  we as messages,
  l as monthViewTitle,
  E as nextTitle,
  ke as noEvents,
  a as previousTitle,
  Z as recurrenceEditorDailyInterval,
  A as recurrenceEditorDailyRepeatEvery,
  ne as recurrenceEditorEndAfter,
  ie as recurrenceEditorEndLabel,
  de as recurrenceEditorEndNever,
  oe as recurrenceEditorEndOccurrence,
  se as recurrenceEditorEndOn,
  G as recurrenceEditorFrequenciesDaily,
  H as recurrenceEditorFrequenciesMonthly,
  J as recurrenceEditorFrequenciesNever,
  K as recurrenceEditorFrequenciesWeekly,
  Q as recurrenceEditorFrequenciesYearly,
  C as recurrenceEditorMonthlyDay,
  b as recurrenceEditorMonthlyInterval,
  L as recurrenceEditorMonthlyRepeatEvery,
  N as recurrenceEditorMonthlyRepeatOn,
  U as recurrenceEditorOffsetPositionsFirst,
  $ as recurrenceEditorOffsetPositionsFourth,
  ee as recurrenceEditorOffsetPositionsLast,
  X as recurrenceEditorOffsetPositionsSecond,
  _ as recurrenceEditorOffsetPositionsThird,
  M as recurrenceEditorRepeat,
  re as recurrenceEditorWeekdaysDay,
  te as recurrenceEditorWeekdaysWeekday,
  ce as recurrenceEditorWeekdaysWeekendday,
  P as recurrenceEditorWeeklyInterval,
  Y as recurrenceEditorWeeklyRepeatEvery,
  I as recurrenceEditorWeeklyRepeatOn,
  B as recurrenceEditorYearlyInterval,
  x as recurrenceEditorYearlyOf,
  j as recurrenceEditorYearlyRepeatEvery,
  z as recurrenceEditorYearlyRepeatOn,
  h as showFullDay,
  y as showWorkDay,
  De as timeTitle,
  n as timelineViewTitle,
  t as today,
  o as weekViewTitle,
  i as workWeekViewTitle
};
