/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as y, createVNode as D, h as $, isVNode as x } from "vue";
import { SchedulerSlot as O } from "./SchedulerSlot.mjs";
import { canUseDOM as j, getDefaultSlots as g, getTemplate as v } from "@progress/kendo-vue-common";
import { useSlotExpand as t } from "../hooks/useSlotExpand.mjs";
function z(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !x(e);
}
const F = /* @__PURE__ */ y({
  name: "KendoSchedulerViewSlot",
  inheritAttrs: !1,
  emits: {
    focus: null,
    showmoreitems: null,
    doubleclick: null,
    keydown: null
  },
  props: {
    refTo: [Function, Object],
    className: String,
    items: Array,
    row: Number,
    group: Object,
    range: Object,
    isWorkDay: {
      type: Boolean,
      default: !0
    },
    isWorkHour: {
      type: Boolean,
      default: !0
    },
    selected: Boolean,
    col: Number,
    index: Number,
    start: Date,
    end: Date,
    zonedStart: Object,
    zonedEnd: Object,
    slotRender: [String, Function, Object],
    expandable: [Boolean, Object],
    isAllDay: Boolean,
    navDay: Boolean,
    editable: [Object, Boolean],
    itemsPerSlot: Number,
    formItem: Object,
    tabIndex: {
      type: Number,
      default: void 0
    },
    slotStyle: Object
  },
  created() {
    this.viewSlot = null, this.slot = null;
  },
  inject: {
    ks: {
      default: null
    },
    bv: {
      default: null
    },
    ksSlots: {
      default: {}
    }
  },
  data() {
    return {
      timeout: void 0
    };
  },
  computed: {
    cSlot() {
      return this.ksSlots.cSlots ? this.ksSlots.cSlots[this.index] : {};
    }
  },
  updated() {
    const e = this;
    this.$nextTick(function() {
      t(e, e.ks.scheduler.$el, e.$props.expandable);
    });
  },
  mounted() {
    const e = this;
    this.$nextTick(function() {
      t(e, e.ks.scheduler.$el, e.$props.expandable);
    }), !(!this.ks.scheduler || !this.ks.scheduler.$el) && j && window.ResizeObserver && (this.observer = new window.ResizeObserver(this.handleResize), this.observer.observe(this.ks.scheduler.$el));
  },
  render() {
    const e = g(this), {
      refTo: N,
      items: s,
      row: l,
      group: n,
      range: i,
      isWorkDay: r,
      isWorkHour: a,
      col: d,
      index: c,
      start: u,
      end: h,
      zonedStart: m,
      zonedEnd: b,
      navDay: p,
      itemsPerSlot: f,
      editable: S,
      className: k
    } = this.$props;
    let o;
    const w = D(O, {
      tabIndex: this.tabIndex,
      isAllDay: this.isAllDay,
      items: s,
      row: l,
      group: n,
      range: i,
      isWorkDay: r,
      isWorkHour: a,
      col: d,
      index: c,
      start: u,
      end: h,
      zonedStart: m,
      zonedEnd: b,
      navDay: p,
      itemsPerSlot: f,
      editable: S,
      formItem: this.formItem,
      onShowmoreitems: this.handleShowMoreItemsClick,
      onDoubleclick: this.handleDoubleClick,
      onKeydown: this.handleKeyDown,
      onFocus: this.handleFocus,
      selected: this.selected,
      slotStyle: this.$props.slotStyle,
      className: k
    }, z(e) ? e : {
      default: () => [e]
    });
    return o = v.call(this, {
      h: $,
      template: this.$props.slotRender,
      defaultRendering: w,
      defaultSlots: e,
      additionalProps: this.cSlot,
      additionalListeners: {
        showmoreitems: this.handleShowMoreItemsClick
      }
    }), o;
  },
  methods: {
    handleShowMoreItemsClick(e) {
      this.$emit("showmoreitems", e);
    },
    handleDoubleClick(e) {
      this.$emit("doubleclick", e);
    },
    handleKeyDown(e) {
      this.$emit("keydown", e);
    },
    handleFocus(e) {
      this.$emit("focus", e);
    },
    handleResize() {
      const e = this;
      this.timeout !== void 0 && window.cancelAnimationFrame(this.timeout), this.timeout = window.requestAnimationFrame(() => {
        t(e, e.ks.scheduler.$el, e.$props.expandable);
      });
    }
  }
});
export {
  F as SchedulerViewSlot
};
