/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as i, h as n, isVNode as s } from "vue";
import { SchedulerTask as c } from "./SchedulerTask.mjs";
import { getDefaultSlots as a, getTemplate as p } from "@progress/kendo-vue-common";
function d(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !s(e);
}
const m = /* @__PURE__ */ o({
  name: "KendoSchedulerViewTask",
  emits: ["removeclick"],
  props: {
    itemRef: [Function, Object],
    id: String,
    tabIndex: Number,
    head: Boolean,
    tail: Boolean,
    order: Number,
    zonedStart: Object,
    zonedEnd: Object,
    slots: Array,
    group: Object,
    range: Object,
    isException: Boolean,
    isRecurring: Boolean,
    isAllDay: Boolean,
    uid: [String, Number],
    start: Date,
    end: Date,
    originalStart: Date,
    startTimezone: String,
    endTimezone: String,
    title: String,
    description: String,
    occurrenceId: String,
    recurrenceExceptions: Array,
    recurrenceRule: String,
    recurrenceId: [String, Number],
    dataItem: Object,
    removeItem: Object,
    task: [String, Function, Object],
    editable: [Object, Boolean],
    showOccurrenceDialog: {
      type: Boolean,
      default: void 0
    },
    showRemoveDialog: {
      type: Boolean,
      default: void 0
    },
    onRemoveclick: Function
  },
  render() {
    const e = a(this);
    let t;
    const r = i(c, {
      id: this.$props.id,
      tabIndex: this.$props.tabIndex,
      head: this.$props.head,
      tail: this.$props.tail,
      order: this.$props.order,
      zonedStart: this.$props.zonedStart,
      zonedEnd: this.$props.zonedEnd,
      slots: this.$props.slots,
      group: this.$props.group,
      range: this.$props.range,
      isException: this.$props.isException,
      isRecurring: this.$props.isRecurring,
      isAllDay: this.$props.isAllDay,
      uid: this.$props.uid,
      start: this.$props.start,
      end: this.$props.end,
      originalStart: this.$props.originalStart,
      startTimezone: this.$props.startTimezone,
      endTimezone: this.$props.endTimezone,
      title: this.$props.title,
      description: this.$props.description,
      occurrenceId: this.$props.occurrenceId,
      recurrenceExceptions: this.$props.recurrenceExceptions,
      recurrenceRule: this.$props.recurrenceRule,
      recurrenceId: this.$props.recurrenceId,
      dataItem: this.$props.dataItem,
      removeItem: this.removeItem,
      editable: this.$props.editable,
      showOccurrenceDialog: this.showOccurrenceDialog,
      showRemoveDialog: this.showRemoveDialog,
      onRemoveclick: this.handleRemoveClick
    }, d(e) ? e : {
      default: () => [e]
    });
    return t = p.call(this, {
      h: n,
      template: this.$props.task,
      defaultRendering: r,
      defaultSlots: e,
      additionalListeners: {
        removeclick: this.handleRemoveClick
      }
    }), t;
  },
  methods: {
    handleRemoveClick(e) {
      this.$emit("removeclick", e);
    }
  }
});
export {
  m as SchedulerViewTask
};
