/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { getDate as h } from "@progress/kendo-date-math";
import { toGroupResources as M, toFlatGroupResources as S } from "../views/common/utils.mjs";
import { getter as E, setter as y } from "@progress/kendo-vue-common";
import { orderBy as T } from "@progress/kendo-data-query";
var D = /* @__PURE__ */ ((e) => (e[e.add = 0] = "add", e[e.remove = 1] = "remove", e))(D || {});
const G = (e) => e[0], k = (e) => e[e.length - 1], w = (e) => {
  const t = /* @__PURE__ */ new Set();
  return e.forEach((n) => {
    t.add(n.field);
  }), t.size === e.length;
};
function P(e, t, n, r) {
  const s = { skeleton: "yMMMMEEEEdhm" }, o = { skeleton: "yMMMMEEEEd" };
  return r ? `${e.formatDate(t, o)}` : `${e.formatDate(t, s)}–${e.formatDate(n, "t")}`;
}
const U = () => h(/* @__PURE__ */ new Date()), F = (e, t, n, r = 0) => {
  if (r === n)
    return null;
  let s = null;
  const o = document.elementFromPoint(e, t);
  if (!o)
    return s;
  if (o.getAttribute("data-slot") === "true")
    return o;
  {
    const u = o.style.pointerEvents;
    o.style.pointerEvents = "none", s = F(e, t, n, r + 1), o.style.pointerEvents = u;
  }
  return s;
}, d = (e, t) => E(t)(e), Y = (e, t, n) => {
  if (t)
    return y(t)(e, n);
}, j = (e) => e != null;
function q(e) {
  return new Date(Date.UTC(
    e.getFullYear(),
    e.getMonth(),
    e.getDate(),
    e.getHours(),
    e.getMinutes(),
    e.getSeconds(),
    e.getMilliseconds()
  ));
}
const J = (e, t, n) => {
  const r = I(e, t) ? d(e, t.id) : d(e, t.recurrenceId);
  return n.find((s) => d(s, t.id) === r);
}, I = (e, t) => {
  const n = d(e, t.id), r = d(e, t.recurrenceId), s = d(e, t.recurrenceRule);
  return !!(n && s && r == null);
}, p = (e, t) => Math.max(e.getTime(), t.getTime()), f = (e, t) => Math.min(e.getTime(), t.getTime()), a = (e, t, n, r, s = !1) => s ? p(t, r) - f(e, n) <= t.getTime() - e.getTime() + (r.getTime() - n.getTime()) : p(t, r) - f(e, n) < t.getTime() - e.getTime() + (r.getTime() - n.getTime()), A = {
  id: "id",
  start: "start",
  startTimezone: "startTimezone",
  originalStart: "originalStart",
  end: "end",
  endTimezone: "endTimezone",
  isAllDay: "isAllDay",
  title: "title",
  description: "description",
  recurrenceRule: "recurrenceRule",
  recurrenceId: "recurrenceId",
  recurrenceExceptions: "recurrenceExceptions"
}, K = (e) => ({ fields: { ...A, ...e } }), Q = (e, t, n) => (t.getHours() < e.getHours() || t.getHours() === e.getHours() && t.getMinutes() <= e.getMinutes()) && (e.getHours() < n.getHours() || n.getHours() === e.getHours() && e.getMinutes() < n.getMinutes()), V = (e, t) => {
  const n = M(e, t), r = S(n);
  return r.length === 1 ? [{
    index: 0,
    // resources: []
    resources: (t || []).reduce(
      (s, o) => [...s, ...o.data.map((c) => ({
        ...c,
        field: o.field,
        valueField: o.valueField,
        colorField: o.colorField,
        multiple: o.multiple
      }))],
      []
    )
  }] : r.map((s, o) => ({
    index: o,
    resources: s
  }));
}, $ = (e) => e == null, W = (e) => $(e) || e.trim && e.trim().length === 0, m = (e) => {
  let t = 0;
  const n = e.slice();
  return n.sort((r, s) => r - s).forEach((r, s) => {
    n[s] === s && (t = s + 1);
  }), t;
}, X = (e, t, n, r = !1) => {
  let s;
  return n.forEach((o) => {
    const c = [];
    t.sort((i, g) => i.$props.start.getTime() - g.$props.start.getTime()).forEach((i) => {
      if ((r || i.$props.isAllDay === o.cSlot.isAllDay) && i.$props.range.index === o.cSlot.range.index && i.$props.group.index === o.cSlot.group.index && a(i.$props.start, i.$props.end, o.cSlot.start, o.cSlot.end)) {
        const l = m(c);
        i === e && s === void 0 && (s = l), c.splice(l, 0, l);
      }
    });
  }), s;
}, Z = (e, t, n = !1) => {
  t.forEach((r) => r.items.splice(0, r.items.length)), t.forEach((r) => {
    const s = [];
    e.forEach((o) => {
      const c = r.cSlot ? r.cSlot : r;
      if ((n || o.isAllDay === c.isAllDay) && o.range.index === c.range.index && o.group.index === c.group.index && a(o.start, o.end, c.start, c.end)) {
        const i = m(s);
        (o.order === null || o.order === void 0 || o.order < i) && (o.order = i), s.splice(o.order, 0, o.order), c.items.push(o);
      }
    });
  });
}, N = (e, t, n = !1) => {
  e.forEach((r) => r.slots.splice(0, r.slots.length)), e.forEach((r) => {
    t.forEach((s) => {
      const o = s.cSlot ? s.cSlot : s;
      (n || r.isAllDay === o.isAllDay) && r.range.index === o.range.index && r.group.index === o.group.index && a(r.start, r.end, o.start, o.end) && r.slots.push(s);
    });
  });
}, _ = function(e) {
  return e.props.items.find((n) => n.order === 0) || e.props.items[0];
}, H = (e, t, n) => !!(e.uid === t.uid && (e.occurrenceId === void 0 || e.occurrenceId === t.occurrenceId) && e.group.index === t.group.index && e.range.index === t.range.index && (n || e.isAllDay === t.isAllDay)), v = (e, t) => {
  const n = e.filter((s) => s.element !== null);
  return T(
    n,
    [
      { field: "group.index", dir: "asc" },
      { field: "range.index", dir: "asc" },
      t ? { field: "" } : { field: "isAllDay", dir: "desc" },
      { field: "start", dir: "asc" }
    ]
  );
}, C = (e, t) => e.start.getTime() === t.start.getTime() && e.end.getTime() === t.end.getTime() && e.index === t.index && e.group.index === t.group.index && e.range.index === t.range.index && e.isAllDay === t.isAllDay, x = (e, t, n = !1) => {
  const r = e, s = v(t, n);
  return {
    currentIndex: s.findIndex((c) => H(c, r, n)),
    sorted: s
  };
}, L = (e, t, n = !1) => {
  if (!e || !t)
    return null;
  const { currentIndex: r, sorted: s } = x(e, t, n) || {};
  return s[r];
}, O = (e, t, n = !1, r = !1) => {
  const { currentIndex: s, sorted: o } = x(e, t, n);
  return o[s + (r ? -1 : 1)];
}, ee = (e, t) => (e.order || 0) - (t.order || 0);
export {
  D as COLLECTION_ACTION,
  X as calculateOrder,
  H as compareItems,
  C as compareSlots,
  A as defaultModelFields,
  L as findCurrentItem,
  _ as findFirstItem,
  J as findMaster,
  m as findMissing,
  O as findNextItem,
  G as first,
  P as formatEventTime,
  x as getCurrentItemIndex,
  d as getField,
  K as getModelFields,
  v as getSortedSlots,
  U as getToday,
  a as intersects,
  $ as isBlank,
  w as isGroupped,
  Q as isInTimeRange,
  I as isMaster,
  W as isNullOrEmptyString,
  j as isPresent,
  k as last,
  N as mapItemsToSlots,
  Z as mapSlotsToItems,
  ee as orderSort,
  Y as setField,
  F as slotDive,
  V as toSchedulerGroups,
  q as toUTCDateTime
};
