/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as x, createVNode as o, isVNode as I } from "vue";
import { toGroupResources as S, expandResources as P } from "./utils.mjs";
import { EMPTY_RESOURCE as k } from "../../constants/main.mjs";
import { SchedulerResourceIteratorContext as y } from "../../context/SchedulerResourceIteratorContext.mjs";
import { getDefaultSlots as a } from "@progress/kendo-vue-common";
function H(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !I(t);
}
const $ = /* @__PURE__ */ x({
  name: "KendoHorizontalResourceIterator",
  props: {
    group: Object,
    resources: Array,
    nested: Boolean,
    rowContent: [String, Function, Object],
    childRowContent: [String, Function, Object],
    rowContentProps: {
      type: Object,
      default: function() {
        return {};
      }
    }
  },
  render() {
    const t = this, {
      nested: s,
      rowContentProps: w
    } = this.$props, c = this.$props.rowContent || b, p = this.$props.childRowContent || c, d = S(this.$props.group, this.$props.resources), C = a(this), m = 0, R = function(e) {
      const l = P(e.resources, e.resources.length - 1), u = e.childRowContent, i = e.resources.length > 0;
      return o("div", {
        class: "k-scheduler-row"
      }, [o(u, {
        timeHeaderCell: e.rowContentProps.timeHeaderCell,
        isMaster: e.rowContentProps.isMaster,
        isLast: e.rowContentProps.isLast,
        contentSlot: e.rowContentProps.contentSlot,
        resources: e.resources
      }, null), (l.length ? l : k).map(function(r, n) {
        let h;
        return o(y, {
          key: n,
          resource: r,
          groupIndex: i ? n : 0
        }, H(h = a(t)) ? h : {
          default: () => [h]
        });
      }, this)]);
    }, f = function(e) {
      const {
        children: l
      } = e;
      if (e.groupIndex === e.resources.length)
        return R.call(this, {
          resources: e.resources,
          rowContent: e.rowContent,
          children: l,
          nested: e.nested,
          groupIndex: e.groupIndex,
          rowContentProps: e.rowContentProps,
          childRowContent: e.childRowContent
        });
      const u = P(e.resources, e.groupIndex), i = e.rowContent;
      return [e.nested ? o("div", {
        class: "k-scheduler-row"
      }, [o(i, {
        resources: e.resources,
        groupIndex: e.groupIndex,
        timeHeaderCell: e.rowContentProps.timeHeaderCell,
        isMaster: e.rowContentProps.isMaster,
        isLast: e.rowContentProps.isLast,
        contentSlot: e.rowContentProps.contentSlot
      }, null), u.map((r, n) => o("div", {
        key: n,
        class: "k-scheduler-cell k-heading-cell"
      }, [r.text]))]) : [o(i, {
        resources: e.resources,
        groupIndex: e.groupIndex,
        timeHeaderCell: e.rowContentProps.timeHeaderCell,
        isMaster: e.rowContentProps.isMaster,
        isLast: e.rowContentProps.isLast,
        contentSlot: e.rowContentProps.contentSlot
      }, null), u.map(function(r, n) {
        return o("div", {
          key: n,
          class: "k-scheduler-cell k-heading-cell"
        }, [r.text]);
      }, this)], f.call(this, {
        resources: d,
        children: C,
        nested: s,
        rowContent: c,
        rowContentProps: e.rowContentProps,
        childRowContent: p,
        groupIndex: e.groupIndex + 1
      })];
    };
    return o("div", {
      class: "k-scheduler-group k-group-horizontal"
    }, [s ? f.call(this, {
      resources: d,
      children: C,
      nested: s,
      groupIndex: m,
      rowContent: c,
      rowContentProps: w,
      childRowContent: p
    }) : R.call(this, {
      resources: d,
      children: C,
      rowContent: c,
      nested: !!s,
      groupIndex: m,
      rowContentProps: w,
      childRowContent: p
    })]);
  }
}), b = (t) => t.children;
export {
  b as DefaultRowContent,
  $ as HorizontalResourceIterator
};
