/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as s } from "vue";
import { SchedulerItem as i } from "../../items/SchedulerItem.mjs";
import { SchedulerViewItem as c } from "../../items/SchedulerViewItem.mjs";
import { mapItemsToSlots as a } from "../../utils/main.mjs";
import { toOccurrences as l } from "../../services/occurrenceService.mjs";
import { toItems as d } from "../../services/itemsService.mjs";
const I = /* @__PURE__ */ o({
  name: "KendoSchedulerDrag",
  inheritAttrs: !1,
  props: {
    ignoreIsAllDay: Boolean,
    dataItem: Object,
    vertical: Boolean,
    viewItem: [String, Function, Object],
    item: {
      type: Object,
      default: function() {
        return i;
      }
    }
  },
  inject: {
    ks: {
      default: null
    },
    bv: {
      default: null
    }
  },
  computed: {
    occurrences() {
      return l([this.$props.dataItem], {
        dateRange: this.ks.dateRange,
        fields: this.ks.fields,
        timezone: this.ks.timezone
      });
    },
    items() {
      return d(this.occurrences, {
        timezone: this.ks.timezone
      }, {
        groups: this.ks.groups,
        ranges: this.bv.ranges
      });
    }
  },
  render() {
    const t = (this.bv.slots || []).map((e) => e);
    a(this.items, t);
    const r = this.items;
    return r.length ? r.map(function(e, n) {
      return s(c, {
        key: n,
        uid: e.uid,
        start: e.start,
        end: e.end,
        originalStart: e.originalStart,
        startTimezone: e.startTimezone,
        endTimezone: e.endTimezone,
        isAllDay: e.isAllDay,
        title: e.title,
        description: e.description,
        occurrenceId: e.occurrenceId,
        recurrenceExceptions: e.recurrenceExceptions,
        recurrenceRule: e.recurrenceRule,
        recurrenceId: e.recurrenceId,
        dataItem: e.dataItem,
        itemRef: e.itemRef,
        head: e.head,
        tail: e.tail,
        order: e.order,
        zonedStart: e.zonedStart,
        zonedEnd: e.zonedEnd,
        slots: e.slots,
        group: e.group,
        range: e.range,
        isException: e.isException,
        isRecurring: e.isRecurring,
        dragHint: !0,
        vertical: this.$props.vertical,
        ignoreIsAllDay: this.$props.ignoreIsAllDay
      }, null);
    }, this) : null;
  }
});
export {
  I as SchedulerDrag
};
