/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as I, createVNode as o, isVNode as g } from "vue";
import { toGroupResources as O } from "./utils.mjs";
import { SchedulerResourceIteratorContext as S } from "../../context/SchedulerResourceIteratorContext.mjs";
import { getDefaultSlots as v } from "@progress/kendo-vue-common";
import { DayViewVerticalSlotsRow as V } from "../day/DayViewVerticalSlotsRow.mjs";
import { MonthViewBody as W } from "../month/MonthViewBody.mjs";
import { TimelineViewBody as j } from "../time/TimelineViewBody.mjs";
function E(s) {
  return typeof s == "function" || Object.prototype.toString.call(s) === "[object Object]" && !g(s);
}
const _ = 0, L = /* @__PURE__ */ I({
  name: "KendoVerticalResourceIterator",
  emits: ["dataaction"],
  props: {
    more: Object,
    group: Object,
    resources: Array,
    nested: Boolean,
    wrapGroup: Boolean,
    cellContent: Object,
    emptyCell: Boolean,
    onDataaction: Function,
    editable: [Boolean, Object]
  },
  render() {
    const s = this, d = v(this), {
      nested: y,
      wrapGroup: f,
      more: t
    } = this.$props, u = this.$props.cellContent || B, i = O(this.$props.group, this.$props.resources), a = 0, h = 0, D = function(e, r) {
      return t ? t.timelineSlots ? o(j, {
        slotRender: t.slotRender,
        viewSlot: t.viewSlot,
        groupIndex: r,
        ranges: t.ranges,
        workDayStart: t.workDayStart,
        workDayEnd: t.workDayEnd,
        timelineSlots: t.timelineSlots,
        onDataaction: this.handleDataAction,
        editable: t.editable
      }, null) : t.monthSlots ? t.ranges.map(function(l, n) {
        return o(W, {
          slotRender: t.slotRender,
          viewSlot: t.viewSlot,
          ranges: t.ranges,
          groupIndex: r,
          monthSlots: t.monthSlots,
          rangeIndex: n,
          itemsPerSlot: t.itemsPerSlot,
          onDataaction: this.handleDataAction,
          editable: t.editable
        }, null);
      }, this) : t.timeSlots.filter((l) => l.group.index === r && l.range.index === _).map(function(l, n, c) {
        return o(V, {
          slotRender: t.slotRender,
          viewSlot: t.viewSlot,
          groupIndex: r,
          onDataaction: this.handleDataAction,
          root: l,
          rootIndex: n,
          filtered: c,
          timeRanges: t.timeRanges,
          timeSlots: t.timeSlots,
          workDayStart: t.workDayStart,
          workDayEnd: t.workDayEnd,
          numberOfDays: t.numberOfDays,
          workWeekStart: t.workWeekStart,
          workWeekEnd: t.workWeekEnd,
          editable: t.editable,
          currentTimeMarker: t.currentTimeMarker
        }, null);
      }, this) : null;
    }, x = function(e) {
      return o("div", {
        class: "k-scheduler-row"
      }, [o("div", {
        class: "k-scheduler-row"
      }, [e.resources.map(function(r, l) {
        return o("div", {
          key: l,
          class: "k-scheduler-cell k-resource-cell k-heading-cell",
          "data-depth-index": l
        }, null);
      }, this)])]);
    }, k = function(e, r = !0) {
      const {
        children: l
      } = e, n = e.resources.length > 0;
      if (e.depth === e.resources.length || !n) {
        let p;
        return [o(S, {
          noWrap: !0,
          resource: e.resources[e.depth],
          groupIndex: n ? e.groupIndex : 0
        }, E(p = v(s)) ? p : {
          default: () => [p]
        }), D.call(this, e.resources[e.depth], n ? e.groupIndex : 0)];
      }
      const c = e.resources[e.depth].data.length;
      return e.resources[e.depth].data.map(function(p, m) {
        return o("div", {
          key: m,
          class: "k-scheduler-row"
        }, [r && o("div", {
          class: "k-scheduler-cell k-group-cell k-heading-cell",
          "data-depth-index": e.depth
        }, [p.text]), o("div", {
          class: "k-scheduler-cell k-group-content k-resource-row",
          "data-depth-index": e.depth,
          "data-resource-index": c * e.groupIndex + m
        }, [k.call(this, {
          resources: e.resources,
          children: l,
          cellContent: e.cellContent,
          groupIndex: c * e.groupIndex + m,
          depth: e.depth + 1
        }, r)])]);
      }, this);
    }, w = function(e) {
      const {
        children: r
      } = e, l = e.resources.length ? e.resources[e.depth].data.length : 0;
      return e.resources[e.depth] ? e.resources[e.depth].data.map(function(n, c) {
        return o("div", {
          key: c,
          class: "k-scheduler-row"
        }, [o("div", {
          class: "k-scheduler-cell k-resource-cell k-resource-row k-heading-cell",
          "data-depth-index": e.depth,
          "data-resource-index": l * e.groupIndex + c
        }, [n.text]), e.depth + 1 !== i.length && o("div", {
          class: "k-scheduler-cell k-resource-content"
        }, [w.call(this, {
          resources: i,
          children: r,
          cellContent: e.cellContent,
          groupIndex: l * e.groupIndex + c,
          depth: e.depth + 1
        })])]);
      }, this) : null;
    }, R = function(e) {
      const {
        children: r
      } = e;
      return o("div", {
        class: "k-scheduler-row"
      }, [C.call(this, e.resources), this.emptyCell && o("div", {
        class: "k-scheduler-cell k-side-cell"
      }, null), b.call(this, r, e.resources, e.groupIndex)]);
    }, b = function(e, r, l) {
      const n = r.length > 0;
      return o(S, {
        noWrap: !0,
        resource: r[l],
        groupIndex: n ? l : void 0
      }, {
        default: () => [o("div", {
          class: "k-scheduler-cell k-group-content"
        }, [e])]
      });
    }, C = function(e) {
      return e.map(function(r, l) {
        return o("div", {
          key: l,
          class: "k-scheduler-cell k-group-cell k-heading-cell",
          "data-depth-index": l
        }, null);
      }, this);
    };
    return o("div", {
      class: "k-scheduler-group"
    }, [y ? f ? o("div", {
      class: "k-scheduler-row"
    }, [o("div", {
      class: "k-sticky-cell"
    }, [w.call(this, {
      resources: i,
      children: d,
      cellContent: u,
      depth: a,
      groupIndex: h
    })]), o("div", {
      class: "k-scheduler-cell k-group-content"
    }, [k.call(this, {
      resources: i,
      children: d,
      cellContent: u,
      depth: a,
      groupIndex: h
    }, !1)])]) : k.call(this, {
      resources: i,
      children: d,
      cellContent: u,
      depth: a,
      groupIndex: h
    }, !0) : f ? o("div", {
      class: "k-scheduler-row"
    }, [o("div", {
      class: "k-sticky-cell"
    }, [x.call(this, {
      resources: i,
      children: d,
      cellContent: u,
      depth: a,
      groupIndex: h
    })]), o("div", {
      class: "k-scheduler-cell k-group-content"
    }, [d])]) : R.call(this, {
      resources: i,
      children: d,
      cellContent: u,
      depth: a,
      groupIndex: h
    })]);
  },
  methods: {
    handleDataAction(s) {
      this.$emit("dataaction", s);
    }
  }
}), B = null;
export {
  L as VerticalResourceIterator
};
