/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as l, createVNode as a } from "vue";
import { SchedulerEditSlot as d } from "../../slots/SchedulerEditSlot.mjs";
const h = /* @__PURE__ */ l({
  name: "KendoDayViewAllDaySlots",
  props: {
    slotRender: [String, Function, Object],
    viewSlot: [String, Function, Object],
    dayRanges: Array,
    daySlots: Array,
    numberOfDays: Number,
    workWeekStart: Number,
    workWeekEnd: Number,
    editable: {
      type: [Boolean, Object],
      default: !1
    },
    onDataaction: Function
  },
  inject: {
    ri: {
      default: null
    },
    ks: {
      default: null
    },
    setSlots: {
      default: null
    }
  },
  provide() {
    return {
      ksSlots: this.ksSlots
    };
  },
  data() {
    const t = this.daySlots, e = this.groupIndex !== void 0 ? this.groupIndex : this.ri.groupIndex;
    return {
      ksSlots: {
        cSlots: this.calculateRanges(t, e, this.dayRanges)
      }
    };
  },
  watch: {
    currentCellSlots(t) {
      this.ksSlots.cSlots = t;
    }
  },
  computed: {
    currentCellSlots() {
      const t = this.daySlots, e = this.groupIndex !== void 0 ? this.groupIndex : this.ri.groupIndex;
      return this.calculateRanges(t, e, this.dayRanges);
    }
  },
  render() {
    const {
      numberOfDays: t,
      workWeekStart: e,
      workWeekEnd: r
    } = this.$props, s = this.ri.groupIndex;
    return a("div", {
      key: s,
      class: "k-scheduler-row"
    }, [this.currentCellSlots.map(function(n, o, i) {
      return a(d, {
        index: o,
        onDataaction: this.handleDataAction,
        form: this.$props.form,
        slotRender: this.$props.slotRender,
        viewSlot: this.$props.viewSlot,
        row: 0,
        col: this.ks.orientation === "horizontal" ? i.length * (s || 0) + o : o,
        isWorkDay: 0 <= n.zonedStart.getDay() + (t - e) && (n.zonedStart.getDay() + (t - e)) % t <= r + (t - e),
        expandable: !0,
        editable: this.$props.editable
      }, null);
    }, this)]);
  },
  methods: {
    handleDataAction(t) {
      this.$emit("dataaction", t);
    },
    calculateRanges(t, e, r) {
      return r.map(function(s, n) {
        return t.filter((o) => o.group.index === e && o.range.index === n);
      }).flat();
    }
  }
});
export {
  h as DayViewAllDaySlots
};
