/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as r, createVNode as t } from "vue";
import { DateHeaderCell as o } from "../../components/DateHeaderCell.mjs";
import { ZonedDate as d } from "@progress/kendo-date-math";
const l = /* @__PURE__ */ r({
  name: "KendoDayViewHead",
  props: {
    timeRanges: Array,
    dateHeaderCell: [String, Function, Object]
  },
  inject: {
    ri: {
      default: null
    },
    ks: {
      default: null
    }
  },
  render() {
    return t("div", {
      class: "k-scheduler-row",
      key: this.ri.groupIndex
    }, [this.timeRanges.map(function(e, n) {
      return t(o, {
        as: this.$props.dateHeaderCell,
        key: n,
        date: d.fromLocalDate(new Date(e.zonedEnd.getTime() - (e.zonedEnd.getTime() - e.zonedStart.getTime()) / 2), this.ks.timezone),
        start: e.start,
        end: e.end,
        format: {
          skeleton: "MEd"
        }
      }, null);
    }, this)]);
  }
});
export {
  l as DayViewHead
};
