/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as i, createVNode as n } from "vue";
import { GRID_OFFSET as d } from "../../constants/main.mjs";
import { SchedulerEditSlot as c } from "../../slots/SchedulerEditSlot.mjs";
import { DayViewAllDayRowContent as u } from "./DayViewAllDayRowContent.mjs";
const p = 0, f = /* @__PURE__ */ i({
  name: "KendoDayViewVerticalRow",
  props: {
    editable: [Object, Boolean],
    dayRanges: Array,
    daySlots: Array,
    timeSlots: Array,
    onDataaction: Function
  },
  inject: {
    ri: {
      default: null
    },
    setSlots: {
      default: null
    }
  },
  provide() {
    return {
      ksSlots: this.ksSlots
    };
  },
  data() {
    const t = this.daySlots, e = this.ri.groupIndex;
    return {
      ksSlots: {
        cSlots: this.calculateRanges(t, e, this.dayRanges)
      }
    };
  },
  watch: {
    currentCellSlots(t) {
      this.ksSlots.cSlots = t;
    }
  },
  computed: {
    currentCellSlots() {
      const t = this.daySlots, e = this.ri.groupIndex;
      return this.calculateRanges(t, e, this.dayRanges);
    }
  },
  render() {
    const t = this.$props.editSlot || c, e = this.ri.groupIndex, {
      timeSlots: s
    } = this.$props;
    return n("div", {
      class: "k-scheduler-row"
    }, [n(u, {
      groupIndex: e
    }, null), this.currentCellSlots.map(function(a, o) {
      const r = s.filter((l) => l.group.index === e && l.range.index === p).length;
      return n(t, {
        slotRender: this.$props.slotRender,
        viewSlot: this.$props.viewSlot,
        form: this.$props.form,
        index: o,
        onDataaction: this.handleDataAction,
        className: "k-scheduler-alldays-slot",
        row: r * (e || 0) + (e || 0) * d,
        col: o,
        expandable: !0,
        editable: this.$props.editable
      }, null);
    }, this)]);
  },
  methods: {
    handleDataAction(t) {
      this.$emit("dataaction", t);
    },
    calculateRanges(t, e, s) {
      return s.map(function(a, o) {
        return t.filter((r) => r.group.index === e && r.range.index === o);
      }).flat();
    }
  }
});
export {
  f as DayViewVerticalRow
};
