/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as D, createVNode as i } from "vue";
import { GRID_OFFSET as c } from "../../constants/main.mjs";
import { isInTimeRange as x, intersects as y, last as b, first as R } from "../../utils/main.mjs";
import { SchedulerEditSlot as I } from "../../slots/SchedulerEditSlot.mjs";
import { DayViewRowContent as C } from "./DayViewRowContent.mjs";
import { CurrentTimeMarker as v } from "../../components/CurrentTimeMarker.mjs";
import { CurrentTimeMarkerArrow as E } from "../../components/CurrentTimeMarkerArrow.mjs";
const F = /* @__PURE__ */ D({
  name: "KendoDayViewVerticalSlotsRow",
  props: {
    currentTimeMarker: {
      type: Boolean,
      default: !0
    },
    slotRender: [String, Function, Object],
    viewSlot: [String, Function, Object],
    editable: [Object, Boolean],
    groupIndex: Number,
    root: Object,
    rootIndex: Number,
    filtered: Array,
    slotDivisions: {
      type: Number,
      default: 2
    },
    timeSlots: Array,
    timeRanges: Array,
    numberOfDays: Number,
    workDayStart: Date,
    workDayEnd: Date,
    workWeekStart: Number,
    workWeekEnd: Number,
    onDataaction: Function
  },
  inject: {
    ri: {
      default: null
    },
    setSlots: {
      default: null
    }
  },
  provide() {
    return {
      ksSlots: this.ksSlots
    };
  },
  data() {
    const t = this.timeSlots, e = this.root, r = this.groupIndex;
    return {
      ksSlots: {
        cSlots: this.calculateRanges(t, r, this.timeRanges, e)
      }
    };
  },
  watch: {
    currentCellSlots(t) {
      this.ksSlots.cSlots = t;
    }
  },
  computed: {
    currentCellSlots() {
      const t = this.timeSlots, e = this.root, r = this.groupIndex;
      return this.calculateRanges(t, r, this.timeRanges, e);
    }
  },
  render() {
    const t = this.$props.editSlot || I, e = this.groupIndex, r = this, {
      root: o,
      rootIndex: s,
      slotDivisions: a,
      filtered: n,
      workDayStart: m,
      workDayEnd: S,
      numberOfDays: l,
      workWeekStart: u,
      workWeekEnd: p,
      viewSlot: h,
      renderSlot: g,
      form: k,
      editable: f
    } = this.$props;
    return i("div", {
      class: "k-scheduler-row",
      key: o.index
    }, [i(C, {
      contentSlot: o,
      isMaster: s % a === 0,
      isLast: (s + 1) % a === 0,
      timeHeaderCell: this.$props.timeHeaderCell
    }, null), this.currentCellSlots.map(function(d, w) {
      return i(t, {
        slotRender: g,
        viewSlot: h,
        form: k,
        onDataaction: r.handleDataAction,
        index: w,
        row: n.length * (e || 0) + s + (e || 0) * c + c,
        col: d.range.index,
        editable: f,
        isWorkHour: x(d.zonedStart, m, S),
        isWorkDay: 0 <= d.zonedStart.getDay() + (l - u) && (d.zonedStart.getDay() + (l - u)) % l <= p + (l - u)
      }, null);
    }, !0), this.$props.currentTimeMarker && y(R(this.timeRanges).start, b(this.timeRanges).end, /* @__PURE__ */ new Date(), /* @__PURE__ */ new Date(), !0) && [i(E, {
      groupIndex: e
    }, null), i(v, {
      groupIndex: e
    }, null)]]);
  },
  methods: {
    handleDataAction(t) {
      this.$emit("dataaction", t);
    },
    calculateRanges(t, e, r, o) {
      return r.map(function(s, a) {
        return t.filter((n) => n.index === o.index && n.group.index === e && n.range.index === a);
      }).flat();
    }
  }
});
export {
  F as DayViewVerticalSlotsRow
};
