/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, createVNode as r } from "vue";
import { DateHeaderCell as o } from "../../components/DateHeaderCell.mjs";
import { ZonedDate as i } from "@progress/kendo-date-math";
const l = /* @__PURE__ */ n({
  name: "KendoMonthViewHead",
  props: {
    monthSlots: Array,
    dateHeaderCell: [String, Function, Object]
  },
  inject: {
    ri: {
      default: null
    },
    ks: {
      default: null
    }
  },
  provide() {
    return {
      ksSlots: this.ksSlots
    };
  },
  data() {
    return {
      ksSlots: {
        cSlots: this.monthSlots.filter((e) => e.group.index === this.ri.groupIndex && e.range.index === 0)
      }
    };
  },
  watch: {
    currentCellSlots(e) {
      this.ksSlots.cSlots = e;
    }
  },
  computed: {
    currentCellSlots() {
      return this.monthSlots.filter((e) => e.group.index === this.ri.groupIndex && e.range.index === 0);
    }
  },
  render() {
    return r("div", {
      class: "k-scheduler-row",
      key: this.ri.groupIndex
    }, [this.currentCellSlots.map(function(e, t) {
      return r(o, {
        as: this.$props.dateHeaderCell,
        key: t,
        "data-dayslot-index": t,
        date: i.fromLocalDate(new Date(e.zonedEnd.getTime() - (e.zonedEnd.getTime() - e.zonedStart.getTime()) / 2), this.ks.timezone),
        start: e.start,
        end: e.end,
        format: {
          skeleton: "EEEE"
        }
      }, null);
    }, this)]);
  }
});
export {
  l as MonthViewHead
};
