/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const a=require("vue"),h=require("./SchedulerActionButtons.js"),g=require("@progress/kendo-vue-form"),m=require("@progress/kendo-vue-dialogs"),f=require("@progress/kendo-vue-intl"),S=require("../editors/SchedulerFormEditor.js"),i=require("../messages/main.js"),r=require("@progress/kendo-vue-common"),k=a.defineComponent({name:"KendoSchedulerForm",emits:{cancel:null,close:null,submit:null},props:{dataItem:Object},inject:{ks:{default:null},kendoLocalizationService:{default:null},ksValidator:{default:null},ksModifyInitialFormValues:{default:null}},created(){this.dialogId=r.guid()},data(){return{media:"desktop"}},mounted(){this.calculateMedia(),setTimeout(()=>{const e=document.getElementById(this.dialogId);e&&e.focus()},10)},setup(){return{kendoLocalizationService:a.inject("kendoLocalizationService",{})}},render(){const e=this,t=f.provideLocalizationService(this);this.requiredValidationMessage=t.toLanguageString(i.editorValidationRequired,i.messages[i.editorValidationRequired]),this.endValidationMessage=t.toLanguageString(i.editorValidationEnd,i.messages[i.editorValidationEnd]);const s=t.toLanguageString(i.editorSave,i.messages[i.editorSave]),o=t.toLanguageString(i.editorCancel,i.messages[i.editorCancel]),d=t.toLanguageString(i.editorTitle,i.messages[i.editorTitle]);this.startValidationMessage=t.toLanguageString(i.editorValidationStart,i.messages[i.editorValidationStart]);const n=a.createVNode(S.SchedulerFormEditor,null,{default:()=>[a.createVNode(h.SchedulerActionButtons,{editSaveMessage:s,editCancelMessage:o,onCancel:this.handleCancel},null)]}),l=r.getTemplate.call(this,{h:a.h,template:this.ks.form,defaultRendering:n,additionalProps:{dataItem:this.dataItem,editSaveMessage:s,editCancelMessage:o},additionalListeners:{cancel:this.handleCancel}}),c={title:d,appendTo:"body",minWidth:this.media==="desktop"?400:"85%",wrapperId:this.dialogId,...this.ks.dialogProps},u={initialValues:e.ksModifyInitialFormValues(e.$props.dataItem),validator:e.formValidator,...this.ks.formProps};return a.h(m.Dialog,{onClose:this.handleClose,class:"k-scheduler-edit-dialog",...c},function(){return[a.h(g.Form,{onSubmit:e.handleSubmit,...u},function(){return[l]})]})},methods:{calculateMedia(){r.canUseDOM&&window.matchMedia&&(this.media=window.matchMedia("(min-width: 600px)").matches?"desktop":"mobile")},handleCancel(e){this.$emit("cancel",{value:null,event:e,target:this.form})},handleClose({event:e}){this.$emit("close",{value:null,event:e,target:this.form})},handleSubmit(e,t){this.$emit("submit",{value:e,event:t,target:this.form})},startAfterEndValidator(e,t){return e&&t(this.ks.fields.end)&&e.getTime()>t(this.ks.fields.end).getTime()?this.startValidationMessage:void 0},endAfterStartValidator(e,t){return e&&t(this.ks.fields.start)&&e.getTime()<t(this.ks.fields.start).getTime()?this.endValidationMessage:void 0},requiredValidator(e){return e?void 0:this.requiredValidationMessage},formValidator(e,t){const s={};s[this.ks.fields.start]=[this.requiredValidator(t(this.ks.fields.start)),this.startAfterEndValidator(t(this.ks.fields.start),t)].filter(Boolean).reduce((d,n)=>d||n,""),s[this.ks.fields.end]=[this.requiredValidator(t(this.ks.fields.start)),this.endAfterStartValidator(t(this.ks.fields.start),t)].filter(Boolean).reduce((d,n)=>d||n,"");const o=this.ksValidator(t);return{...s,...o}}}});exports.SchedulerForm=k;
