/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const n=require("vue"),c=require("@progress/kendo-vue-dateinputs"),i=require("@progress/kendo-date-math"),h=require("@progress/kendo-vue-popup"),l=require("@progress/kendo-vue-intl"),m=require("@progress/kendo-vue-buttons"),f=require("../../../utils/main.js"),t=require("@progress/kendo-vue-common"),k=require("@progress/kendo-svg-icons"),p=n.defineComponent({name:"KendoNavigationDatePicker",props:{value:[Date,Object],onChange:Function},inject:{kendoIntlService:{default:null},ks:{default:null}},created(){this.buttonId=t.guid(),this._popupId="popup"+t.guid()},data(){return{hasMounted:!1,show:!1,focused:!1,media:"desktop"}},mounted(){this.buttonRef=this.$refs.button,this.calculateMedia(),t.canUseDOM&&window.ResizeObserver&&(this.observer=new window.ResizeObserver(this.calculateMedia),this.ks.scheduler&&this.ks.scheduler.$el&&this.observer.observe(this.ks.scheduler.$el)),this.hasMounted=!0},unmounted(){this.observer&&this.observer.disconnect()},updated(){this.show&&this.focused&&this.$refs.calendar&&this.$refs.calendar.focus()},render(){const e=i.ZonedDate.fromLocalDate(this.$props.value||this.ks.currentDate,this.ks.timezone),s=i.getDate(e),a=this.show,o=this.ks.dateRange.end.getTime()-this.ks.dateRange.start.getTime()>i.MS_PER_DAY*27,d=l.provideIntlService(this),r=d.format(this.ks.dateFormat,o?this.ks.currentDate:this.ks.dateRange.zonedStart,o?this.ks.currentDate:this.ks.dateRange.zonedEnd.addDays(-1)),u=d.format(this.ks.shortDateFormat,o?this.ks.currentDate:this.ks.dateRange.zonedStart,o?this.ks.currentDate:this.ks.dateRange.zonedEnd.addDays(-1));return n.createVNode(m.Button,{ref:"button",id:this.buttonId,onFocus:this.onFocus,onBlur:this.onBlur,fillMode:"flat",class:"k-nav-current","aria-live":"polite",tabIndex:-1,icon:"calendar",svgIcon:k.calendarIcon,onClick:this.handleClick},{default:()=>[this.media==="desktop"?r:u,n.createVNode(h.Popup,{id:this._popupId,anchor:this.buttonId,show:a},{default:()=>[this.hasMounted&&n.createVNode(c.Calendar,{ref:"calendar",onBlur:this.onCalendarBlur,onChange:this.handleChange,onKeydown:this.calendarKeydown,value:s},null)]})]})},methods:{handleChange(e){const s=i.ZonedDate.fromUTCDate(f.toUTCDateTime(e.value),this.ks.timezone);this.$emit("change",{...e,value:s}),this.hideAndFocusButton()},handleClick(){this.show=!this.show},onFocus(){clearTimeout(this._blurTimeout),this.focused=!0},onBlur(){this.focused=!1},onCalendarBlur(){clearTimeout(this._blurTimeout),this.createBlurTimeout()},createBlurTimeout(){const e=this;this._blurTimeout=setTimeout(()=>{this.focused=!1;const s=document.activeElement&&document.activeElement.closest(`#${e._popupId}`);t.canUseDOM&&document.activeElement!==e.$refs.button.$el&&!s&&(e.show=!1)},200)},calendarKeydown(e){e.keyCode===t.Keys.esc&&this.hideAndFocusButton()},hideAndFocusButton(){this.show=!1,this.$refs.button.focus()},calculateMedia(){t.canUseDOM&&window.matchMedia&&(this.media=window.matchMedia("(min-width: 1024px)").matches?"desktop":"mobile")}}});exports.NavigationDatePicker=p;
