/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("vue"),Y=require("@progress/kendo-date-math"),o=require("@progress/kendo-vue-labels"),ee=require("@progress/kendo-vue-intl"),i=require("@progress/kendo-vue-form"),u=require("@progress/kendo-vue-inputs"),t=require("@progress/kendo-vue-common"),n=require("../messages/main.js"),E=require("./FilterableComboBox.js"),te=require("../recurrence/RecurrenceEditor.js"),ie=require("./ResourceEditor.js"),L=require("./ZonedDateTime.js");function a(r){return typeof r=="function"||Object.prototype.toString.call(r)==="[object Object]"&&!e.isVNode(r)}const ne=e.defineComponent({name:"KendoSchedulerFormEditor",props:{as:[String,Function,Object],id:String,tabIndex:Number,titleLabel:{type:[String,Function,Object],default:function(){return o.Label}},titleError:{type:[String,Function,Object],default:function(){return o.Error}},titleEditor:{type:[String,Function,Object],default:function(){return u.TextBox}},startLabel:{type:[String,Function,Object],default:function(){return o.Label}},startError:{type:[String,Function,Object],default:function(){return o.Error}},startEditor:{type:[String,Function,Object],default:function(){return L.ZonedDateTime}},startTimezoneLabel:{type:[String,Function,Object],default:function(){return o.Label}},startTimezoneError:{type:[String,Function,Object],default:function(){return o.Error}},startTimezoneEditor:{type:[String,Function,Object],default:function(){return E.FilterableComboBox}},startTimezoneCheckedLabel:{type:[String,Function,Object],default:function(){return o.Label}},startTimezoneCheckedEditor:{type:[String,Function,Object],default:function(){return u.Checkbox}},endLabel:{type:[String,Function,Object],default:function(){return o.Label}},endError:{type:[String,Function,Object],default:function(){return o.Error}},endEditor:{type:[String,Function,Object],default:function(){return L.ZonedDateTime}},endTimezoneLabel:{type:[String,Function,Object],default:function(){return o.Label}},endTimezoneError:{type:[String,Function,Object],default:function(){return o.Error}},endTimezoneEditor:{type:[String,Function,Object],default:function(){return E.FilterableComboBox}},endTimezoneCheckedLabel:{type:[String,Function,Object],default:function(){return o.Label}},endTimezoneCheckedEditor:{type:[String,Function,Object],default:function(){return u.Checkbox}},allDayLabel:{type:[String,Function,Object],default:function(){return o.Label}},allDayEditor:{type:[String,Function,Object],default:function(){return u.Checkbox}},recurrenceEditor:{type:[String,Function,Object],default:function(){return te.RecurrenceEditor}},descriptionLabel:{type:[String,Function,Object],default:function(){return o.Label}},descriptionError:{type:[String,Function,Object],default:function(){return o.Error}},descriptionEditor:{type:[String,Function,Object],default:function(){return u.TextArea}},resourceLabel:{type:[String,Function,Object],default:function(){return o.Label}},resourcesError:{type:[String,Function,Object],default:function(){return o.Label}},resourceEditor:{type:[String,Function,Object],default:function(){return ie.ResourceEditor}},errors:Object,valid:Boolean,touched:Boolean,visited:Boolean,modified:Boolean,submitted:Boolean,allowSubmit:Boolean,valueGetter:Function},created(){this.requiredValidationMessage=void 0},inject:{ks:{default:null},kendoForm:{default:{}},kendoLocalizationService:{default:null}},data(){const r=this.kendoForm,s=this.ks;return{startZoneChecked:!!r.valueGetter(s.fields.startTimezone),endZoneChecked:!!r.valueGetter(s.fields.endTimezone)}},render(){let r,s,h,m,f,k,p,g,b;const T=t.getDefaultSlots(this),F=Y.timezoneNames(),d=ee.provideLocalizationService(this);this.$props;const{startTimezoneCheckedLabel:z,startTimezoneCheckedEditor:V,endTimezoneCheckedLabel:S,endTimezoneCheckedEditor:v}=this.$props,y=t.templateRendering.call(this,this.titleLabel,t.getListeners.call(this)),N=t.templateRendering.call(this,this.titleError,t.getListeners.call(this)),C=t.templateRendering.call(this,this.titleEditor,t.getListeners.call(this)),j=t.templateRendering.call(this,this.startLabel,t.getListeners.call(this)),O=t.templateRendering.call(this,this.startError,t.getListeners.call(this)),R=t.templateRendering.call(this,this.startEditor,t.getListeners.call(this)),Z=t.templateRendering.call(this,this.startTimezoneLabel,t.getListeners.call(this)),D=t.templateRendering.call(this,this.startTimezoneError,t.getListeners.call(this)),x=t.templateRendering.call(this,this.startTimezoneEditor,t.getListeners.call(this)),q=t.templateRendering.call(this,this.endLabel,t.getListeners.call(this)),I=t.templateRendering.call(this,this.endError,t.getListeners.call(this)),w=t.templateRendering.call(this,this.endEditor,t.getListeners.call(this)),B=t.templateRendering.call(this,this.endTimezoneLabel,t.getListeners.call(this)),_=t.templateRendering.call(this,this.endTimezoneError,t.getListeners.call(this)),A=t.templateRendering.call(this,this.endTimezoneEditor,t.getListeners.call(this)),W=t.templateRendering.call(this,this.allDayLabel,t.getListeners.call(this)),G=t.templateRendering.call(this,this.allDayEditor,t.getListeners.call(this)),M=t.templateRendering.call(this,this.recurrenceEditor,t.getListeners.call(this)),$=t.templateRendering.call(this,this.descriptionLabel,t.getListeners.call(this)),K=t.templateRendering.call(this,this.descriptionEditor,t.getListeners.call(this)),P=t.templateRendering.call(this,this.descriptionError,t.getListeners.call(this)),H=t.templateRendering.call(this,this.resourceLabel,t.getListeners.call(this)),J=t.templateRendering.call(this,this.resourceEditor,t.getListeners.call(this)),Q=this.kendoForm.valueGetter(this.ks.fields.start)||new Date,U=this.kendoForm.valueGetter(this.ks.fields.startTimezone)||this.ks.timezone||"",X=this.kendoForm.valueGetter(this.ks.fields.endTimezone)||this.ks.timezone||"";this.requiredValidationMessage=d.toLanguageString(n.editorValidationRequired,n.messages[n.editorValidationRequired]);const c=this.ks.fields.title;return e.createVNode(i.FormElement,{class:"k-scheduler-edit-form"},{default:()=>[e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:c,component:y,editorId:"k-scheduler-editor-title"},a(r=d.toLanguageString(n.editorEventTitle,n.messages[n.editorEventTitle]))?r:{default:()=>[r]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{id:"k-scheduler-editor-title",name:c,field:c,component:C},null),this.kendoForm.errors[c]&&e.createVNode(i.Field,{name:c,component:N},{default:()=>[this.kendoForm.errors[c]]})])]}),e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.start,component:j,editorId:"k-scheduler-editor-start",class:"k-form-label"},a(s=d.toLanguageString(n.editorEventStart,n.messages[n.editorEventStart]))?s:{default:()=>[s]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{id:"k-scheduler-editor-start",name:this.ks.fields.start,width:"auto",component:R,isAllDay:!!this.kendoForm.values.isAllDay,timezone:this.ks.timezone},null),this.kendoForm.errors[this.ks.fields.start]&&e.createVNode(i.Field,{name:this.ks.fields.start,component:O},{default:()=>[this.kendoForm.errors[this.ks.fields.start]]})])]}),e.createVNode(i.FieldWrapper,null,{default:()=>[F.length>0&&e.createVNode("div",null,[e.createVNode(V,{id:"k-scheduler-editor-set-start-timezone",onChange:this.handleStartZoneCheckboxChange,value:this.startZoneChecked},null),e.createVNode(z,{class:"k-checkbox-label",editorId:"k-scheduler-editor-set-start-timezone",style:{display:"inline-flex"}},a(h=d.toLanguageString(n.editorEventTimeZone,n.messages[n.editorEventTimeZone]))?h:{default:()=>[h]})])]}),this.startZoneChecked&&e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.start,component:Z},a(m=d.toLanguageString(n.editorEventStartTimeZone,n.messages[n.editorEventStartTimeZone]))?m:{default:()=>[m]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{component:x,value:U,validator:this.startTimezoneValidator,dataItems:F,name:this.ks.fields.startTimezone},null),this.kendoForm.errors[this.ks.fields.startTimezone]&&e.createVNode(i.Field,{name:this.ks.fields.startTimezone,component:D},{default:()=>[this.kendoForm.errors[this.ks.fields.startTimezone]]})])]}),e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.end,component:q,editorId:"k-scheduler-editor-end",class:"k-form-label"},a(f=d.toLanguageString(n.editorEventEnd,n.messages[n.editorEventEnd]))?f:{default:()=>[f]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{id:"k-scheduler-editor-end",name:this.ks.fields.end,width:"auto",component:w,isAllDay:!!this.kendoForm.values.isAllDay,timezone:this.ks.timezone},null),this.kendoForm.errors[this.ks.fields.end]&&e.createVNode(i.Field,{name:this.ks.fields.end,component:I},{default:()=>[this.kendoForm.errors[this.ks.fields.end]]})])]}),this.startZoneChecked&&e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(v,{id:"k-scheduler-editor-set-end-timezone",onChange:this.handleEndZoneCheckboxChange,value:this.endZoneChecked},null)]),e.createVNode(S,{class:"k-checkbox-label",editorId:"k-scheduler-editor-set-end-timezone",style:{display:"inline-flex"}},a(k=d.toLanguageString(n.editorEventSeparateTimeZones,n.messages[n.editorEventSeparateTimeZones]))?k:{default:()=>[k]})]}),this.endZoneChecked&&e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.endTimezone,component:B,class:"k-form-label"},a(p=d.toLanguageString(n.editorEventEndTimeZone,n.messages[n.editorEventEndTimeZone]))?p:{default:()=>[p]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{value:X,dataItems:F,validator:this.endTimezoneValidator,component:A,name:this.ks.fields.endTimezone},null),this.kendoForm.errors[this.ks.fields.endTimezone]&&e.createVNode(i.Field,{name:this.ks.fields.endTimezone,component:_},{default:()=>[this.kendoForm.errors[this.ks.fields.endTimezone]]})])]}),e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.isAllDay,component:o.Label,class:"k-form-label"},null),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{id:"k-is-allday-checkbox",name:this.ks.fields.isAllDay,component:G},null),e.createVNode(i.Field,{name:this.ks.fields.isAllDay,field:this.ks.fields.isAllDay,editorId:"k-is-allday-checkbox",class:"k-checkbox-label",component:W},a(g=d.toLanguageString(n.editorEventAllDay,n.messages[n.editorEventAllDay]))?g:{default:()=>[g]})])]}),e.createVNode("div",{class:"k-recurrence-editor"},[e.createVNode(i.Field,{component:M,changeOnInput:!1,field:this.ks.fields.recurrenceRule,name:this.ks.fields.recurrenceRule,start:Q},null)]),e.createVNode(i.FieldWrapper,null,{default:()=>[e.createVNode(i.Field,{name:this.ks.fields.description,component:$,class:"k-form-label"},a(b=d.toLanguageString(n.editorEventDescription,n.messages[n.editorEventDescription]))?b:{default:()=>[b]}),e.createVNode("div",{class:"k-form-field-wrap"},[e.createVNode(i.Field,{component:K,name:this.ks.fields.description,rows:1,id:"k-event-description"},null),this.kendoForm.errors[this.ks.fields.description]&&e.createVNode(i.Field,{name:this.ks.fields.description,component:P},{default:()=>[this.kendoForm.errors[this.ks.fields.description]]})])]}),(this.ks.props.resources||[]).map(function(l){return e.createVNode(i.FieldWrapper,{key:l.field},{default:()=>[e.createVNode(i.Field,{name:l.field,component:H,class:"k-form-label"},null),e.createVNode(o.Label,{class:"k-form-label"},{default:()=>[l.name]}),e.createVNode(i.Field,{name:l.field,component:J,resource:l,multiple:l.multiple,dataItems:l.data,textField:l.textField,valueField:l.valueField,colorField:l.colorField},null),this.kendoForm.errors[l.field]&&e.createVNode(i.Field,{name:l.field,component:o.Error},{default:()=>[this.kendoForm.errors[l.field]]})]})},this),T]})},methods:{handleStartZoneCheckboxChange(r){r.value||(this.$emit("change",this.ks.fields.startTimezone,{value:null}),this.$emit("change",this.ks.fields.endTimezone,{value:null}),this.endZoneChecked=r.value),this.startZoneChecked=r.value},handleEndZoneCheckboxChange(r){r.value||this.$emit("change",this.ks.fields.endTimezone,{value:null}),this.endZoneChecked=r.value},requiredValidator(r){return r?void 0:this.requiredValidationMessage},startTimezoneValidator(r,s){return this.startZoneChecked?this.requiredValidator(s(this.ks.fields.startTimezone)):void 0},endTimezoneValidator(r,s){return this.startZoneChecked&&this.endZoneChecked?this.requiredValidator(s(this.ks.fields.endTimezone))||this.requiredValidator(s(this.ks.fields.startTimezone)):void 0}}});exports.SchedulerFormEditor=ne;
