/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const O=require("vue"),E=require("../constants/main.js"),h=require("@progress/kendo-vue-common"),A=require("./SchedulerViewItem.js"),o=require("./hooks/use-form-item.js"),s=require("./hooks/use-show-occurrence-dialog.js"),c=require("./hooks/use-remove-item.js"),l=require("./hooks/use-show-remove-item-dialog.js"),a=require("./hooks/use-drag-item.js"),r=require("./hooks/use-resize-item.js"),d=require("./hooks/use-series.js"),m=require("../hooks/use-items-selection.js"),p=require("../utils/main.js"),u=require("../hooks/use-items-focus.js"),I=require("../hooks/use-slots-focus.js"),_=O.defineComponent({name:"KendoSchedulerEditItem",inheritAttrs:!1,props:{tabIndex:{type:Number,default:void 0},item:[String,Function,Object],viewItem:[String,Function,Object],drag:[String,Function,Object],resize:[String,Function,Object],form:[String,Function,Object],removeDialog:[String,Function,Object],occurrenceDialog:[String,Function,Object],formItem:Object,dragItem:Object,resizeItem:Object,removeItem:Object,showOccurrenceDialog:{type:Boolean,default:void 0},showRemoveDialog:{type:Boolean,default:void 0},series:{type:Boolean,default:void 0},uid:[String,Number],start:Date,end:Date,originalStart:Date,startTimezone:String,endTimezone:String,isAllDay:Boolean,title:String,description:String,occurrenceId:String,recurrenceExceptions:Array,recurrenceRule:String,recurrenceId:[String,Number],dataItem:Object,head:Boolean,tail:Boolean,order:Number,zonedStart:Object,zonedEnd:Object,slots:Array,group:Object,range:Object,isException:Boolean,isRecurring:Boolean,id:String,className:String,itemStyle:Object,editable:[Object,Boolean],selected:Boolean,vertical:Boolean,dragHint:Boolean,resizeHint:Boolean,format:String,ignoreIsAllDay:Boolean,itemRef:Object,onRemoveclick:Function,onDataaction:Function,onFormItemChange:Function,onDragitemchange:Function,onResizeitemchange:Function},inject:{bv:{default:null},ks:{default:null},dispatchFocusedItems:{default:null},dispatchFocusedSlots:{default:null},dispatchSelectedItems:{default:null}},provide(){return{ei:this.ei,ksCancel:this.handleCancel,ksFormSubmit:this.handleFormSubmit,ksOccurrenceClick:this.handleOccurrenceClick,ksSeriesClick:this.handleSeriesClick,ksRemoveConfirm:this.handleRemoveConfirm}},data(){return{ei:{props:this.$props,form:this.$props.formItem,drag:this.drag,resize:this.resize,remove:this.remove,showRemoveDialog:this.showRemoveDialog,showOccurrenceDialog:this.showOccurrenceDialog},currentFormItem:null,currentSelected:null,currentSeries:null,currentRemoveItem:null,currentDragItem:null,currentResizeItem:null,currentShowRemoveDialog:null,currentShowOccurrenceDialog:null}},computed:{currentTabIndex(){const t=this.bv.items.length&&this.bv.items[0].dataItem.id===this.dataItem.id;return this.$props.tabIndex!==void 0?this.$props.tabIndex===null?void 0:this.$props.tabIndex:this.bv.selectedItems.length===0&&t?0:void 0},compSelected(){return this.selected!==void 0?this.selected:this.currentSelected},compSeries(){return this.series!==void 0?this.series:this.currentSeries},compFormItem(){return this.formItem!==void 0?this.formItem:this.currentFormItem},compRemoveItem(){return this.removeItem!==void 0?this.removeItem:this.currentRemoveItem},compDragItem(){return this.dragItem!==void 0?this.dragItem:this.currentDragItem},compResizeItem(){return this.resizeItem!==void 0?this.resizeItem:this.currentResizeItem},compShowRemoveDialog(){return this.showRemoveDialog!==void 0?this.showRemoveDialog:this.currentShowRemoveDialog},compShowOccurrenceDialog(){return this.showOccurrenceDialog!==void 0?this.showOccurrenceDialog:this.currentShowOccurrenceDialog},actionsReducerMap(){return{[d.SERIES_ACTION.set]:this.dispatchSeries,[d.SERIES_ACTION.toggle]:this.dispatchSeries,[d.SERIES_ACTION.reset]:this.dispatchSeries,[m.ITEMS_SELECT_ACTION.select]:this.dispatchItemSelection,[m.ITEMS_SELECT_ACTION.add]:this.dispatchItemSelection,[m.ITEMS_SELECT_ACTION.remove]:this.dispatchItemSelection,[m.ITEMS_SELECT_ACTION.reset]:this.dispatchItemSelection,[m.ITEMS_SELECT_ACTION.selectNext]:this.dispatchItemSelection,[m.ITEMS_SELECT_ACTION.selectPrev]:this.dispatchItemSelection,[o.FORM_ITEM_ACTION.set]:this.dispatchFormItem,[o.FORM_ITEM_ACTION.setMaster]:this.dispatchFormItem,[o.FORM_ITEM_ACTION.reset]:this.dispatchFormItem,[o.FORM_ITEM_ACTION.complete]:this.dispatchFormItem,[c.REMOVE_ITEM_ACTION.set]:this.dispatchRemoveItem,[c.REMOVE_ITEM_ACTION.reset]:this.dispatchRemoveItem,[c.REMOVE_ITEM_ACTION.complete]:this.dispatchRemoveItem,[s.SHOW_OCCURRENCE_DIALOG_ACTION.close]:this.dispatchShowOccurrenceDialog,[s.SHOW_OCCURRENCE_DIALOG_ACTION.open]:this.dispatchShowOccurrenceDialog,[s.SHOW_OCCURRENCE_DIALOG_ACTION.set]:this.dispatchShowOccurrenceDialog,[s.SHOW_OCCURRENCE_DIALOG_ACTION.toggle]:this.dispatchShowOccurrenceDialog,[s.SHOW_OCCURRENCE_DIALOG_ACTION.reset]:this.dispatchShowOccurrenceDialog,[l.SHOW_REMOVE_DIALOG_ACTION.close]:this.dispatchShowRemoveDialog,[l.SHOW_REMOVE_DIALOG_ACTION.open]:this.dispatchShowRemoveDialog,[l.SHOW_REMOVE_DIALOG_ACTION.set]:this.dispatchShowRemoveDialog,[l.SHOW_REMOVE_DIALOG_ACTION.toggle]:this.dispatchShowRemoveDialog,[l.SHOW_REMOVE_DIALOG_ACTION.reset]:this.dispatchShowRemoveDialog,[a.DRAG_ITEM_ACTION.start]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.drag]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.complete]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.completeOccurrence]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.completeSeries]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.set]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.reset]:this.dispatchDragItem,[a.DRAG_ITEM_ACTION.dragSelected]:this.dispatchDragItem,[r.RESIZE_ITEM_ACTION.start]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.startDrag]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.startDragSelected]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.endDrag]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.endDragSelected]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.complete]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.completeOccurrence]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.completeSeries]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.set]:this.dispatchResizeItem,[r.RESIZE_ITEM_ACTION.reset]:this.dispatchResizeItem,[u.ITEMS_FOCUS_ACTION.next]:this.dispatchViewItemsFocus,[u.ITEMS_FOCUS_ACTION.prev]:this.dispatchViewItemsFocus,[I.SLOTS_FOCUS_ACTION.left]:this.dispatchViewSlotsFocus,[I.SLOTS_FOCUS_ACTION.right]:this.dispatchViewSlotsFocus,[I.SLOTS_FOCUS_ACTION.up]:this.dispatchViewSlotsFocus,[I.SLOTS_FOCUS_ACTION.down]:this.dispatchViewSlotsFocus,null:()=>{}}}},render(){const t=h.getDefaultSlots(this),e=!!(this.bv.selectedItems&&this.bv.selectedItems.some(R=>p.compareItems(R,this,this.ignoreIsAllDay)));let i;const n=O.createVNode(A.SchedulerViewItem,{ignoreIsAllDay:this.ignoreIsAllDay,item:this.item,uid:this.uid,start:this.start,end:this.end,originalStart:this.originalStart,startTimezone:this.startTimezone,endTimezone:this.endTimezone,isAllDay:this.isAllDay,title:this.title,description:this.description,occurrenceId:this.occurrenceId,recurrenceExceptions:this.recurrenceExceptions,recurrenceRule:this.recurrenceRule,recurrenceId:this.recurrenceId,dataItem:this.dataItem,head:this.head,tail:this.tail,order:this.order,zonedStart:this.zonedStart,zonedEnd:this.zonedEnd,slots:this.slots,group:this.group,range:this.range,isException:this.isException,isRecurring:this.isRecurring,id:this.id,className:this.className,itemStyle:this.itemStyle,editable:this.editable,vertical:this.vertical,dragHint:this.dragHint,resizeHint:this.resizeHint,format:this.format,showOccurrenceDialog:this.compShowOccurrenceDialog,showRemoveDialog:this.compShowRemoveDialog,formItem:this.compFormItem,dragItem:this.compDragItem,resizeItem:this.compResizeItem,removeItem:this.compRemoveItem,itemRef:this.item,selected:e,tabIndex:this.currentTabIndex,onKeydown:this.handleKeyDown,onKeyup:this.handleKeyUp,onFocus:this.handleFocus,onMouseup:this.handleMouseUp,onMousedown:this.handleMouseDown,onClick:this.handleClick,onDoubleclick:this.handleDoubleClick,onRemoveclick:this.handleRemoveClick,onPress:this.handlePress,onDrag:this.handleDrag,onRelease:this.handleRelease,onResizepress:this.handleResizePress,onResizeenddrag:this.handleResizeEndDrag,onResizestartdrag:this.handleResizeStartDrag,onResizerelease:this.handleResizeRelease},null);return i=h.getTemplate.call(this,{h:O.h,template:this.$props.viewItem,defaultRendering:n,defaultSlots:t,additionalListeners:{doubleclick:this.handleDoubleClick,removeclick:this.handleRemoveClick,press:this.handlePress,drag:this.handleDrag,release:this.handleRelease,resizepress:this.handleResizePress,resizeenddrag:this.handleResizeEndDrag,resizestartdrag:this.handleResizeStartDrag,resizerelease:this.handleResizeRelease}}),i},methods:{dispatchSeries(t,e){const i=d.seriesReducer(this.compSeries,t);this.currentSeries=i,this.$emit("serieschange",i)},dispatchItemSelection(t,e){this.dispatchSelectedItems(t,e)},dispatchRemoveItem(t,e){let i;switch(t.type){case c.REMOVE_ITEM_ACTION.set:i=t.payload;break;case c.REMOVE_ITEM_ACTION.reset:i=null;break;case c.REMOVE_ITEM_ACTION.complete:this.compRemoveItem&&this.$emit("dataaction",{type:E.DATA_ACTION.remove,series:this.compSeries,dataItem:this.compRemoveItem}),i=null;break;default:i=this.compRemoveItem;break}this.currentRemoveItem=i,this.$emit("removeitemchange",i)},dispatchShowOccurrenceDialog(t,e){const i=s.showOccurrenceDialogReducer(this.compShowOccurrenceDialog,t);this.currentShowOccurrenceDialog=i,this.$emit("showremovedialogchange",i)},dispatchShowRemoveDialog(t,e){const i=l.showRemoveDialogReducer(this.compShowRemoveDialog,t);this.currentShowRemoveDialog=i,this.$emit("showremovedialogchange",i)},dispatchDragItem(t,e){a.useDragItem.call(this,t)},dispatchResizeItem(t,e){r.useResizeItem.call(this,t,e)},dispatchViewSlotsFocus(t,e){this.dispatchFocusedSlots(t,e)},dispatchViewItemsFocus(t,e){this.dispatchFocusedItems(t,e)},dispatchFormItem(t,e){let i;switch(t.type){case o.FORM_ITEM_ACTION.set:i=t.payload;break;case o.FORM_ITEM_ACTION.reset:i=null;break;case o.FORM_ITEM_ACTION.setMaster:i=h.clone(p.findMaster(t.payload,this.ks.fields,this.ks.dataItems));break;case o.FORM_ITEM_ACTION.complete:this.compFormItem&&(this.$emit("dataaction",{type:E.DATA_ACTION.update,series:this.compSeries,dataItem:t.payload}),i=null);break;default:i=this.compFormItem;break}this.currentFormItem=i,this.$emit("formitemchange",i)},handleFocus(t){if(this.onFocusAction){const e=this.onFocusAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem}))}this.$emit("focus",t)},handleMouseDown(t){if(this.onMouseDownAction){const e=this.onMouseDownAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem}))}this.$emit("mousedown",t)},handleMouseUp(t){if(this.onMouseUpAction){const e=this.onMouseUpAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem}))}this.$emit("mouseup",t)},handleClick(t){if(this.onClickAction){const e=this.onClickAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem}))}this.$emit("click",t)},handleDoubleClick(t){if(this.onDoubleClickAction){const e=this.onDoubleClickAction(t,this.$props),i=this;e&&(Array.isArray(e)?e.filter(Boolean).map(n=>n&&i.actionsReducerMap[n.type]({...n,item:i.dataItem},t)):i.actionsReducerMap[e.type]({...e,item:i.dataItem}))}this.$emit("doubleclick",t)},handleRemoveClick(t){if(this.onRemoveClickAction){const e=this.onRemoveClickAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem}))}this.$emit("removeclick",t)},handlePress(t){if(this.onPressAction){const e=this.onPressAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t))}this.$emit("press",t)},handleDrag(t){if(this.onDragAction){const e=this.onDragAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("drag",t)},handleRelease(t){if(this.onReleaseAction){const e=this.onReleaseAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("release",t)},handleResizePress(t){if(this.onResizePressAction){const e=this.onResizePressAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("resizepress",t)},handleResizeStartDrag(t){if(this.onResizeStartDragAction){const e=this.onResizeStartDragAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("resizestartdrag",t)},handleResizeEndDrag(t){if(this.onResizeEndDragAction){const e=this.onResizeEndDragAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("resizeenddrag",t)},handleResizeRelease(t){if(this.onResizeReleaseAction){const e=this.onResizeReleaseAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.dragEvent.originalEvent)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.dragEvent.originalEvent))}this.$emit("resizerelease",t)},handleFormSubmit(t){if(this.onFormSubmitAction){const e=this.onFormSubmitAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t))}this.$emit("formsubmit",t)},handleCancel(t){if(this.onCancelAction){const e=this.onCancelAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t))}this.$emit("cancel",t)},handleOccurrenceClick(t){if(this.onOccurrenceClickAction){const e=this.onOccurrenceClickAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t))}this.$emit("occurrenceclick",t)},handleSeriesClick(t){if(this.onSeriesClickAction){const e=this.onSeriesClickAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t))}this.$emit("seriesclick",t)},handleKeyDown(t){if(this.onKeyDownAction){const e=this.onKeyDownAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this},t.event)):this.actionsReducerMap[e.type]({...e,item:this},t.event))}this.$emit("keydown",t)},handleKeyUp(t){if(this.onKeyUpAction){const e=this.onKeyUpAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.event)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.event))}this.$emit("keyup",t)},handleRemoveConfirm(t){if(this.onRemoveConfirmAction){const e=this.onRemoveConfirmAction(t,this.$props);e&&(Array.isArray(e)?e.filter(Boolean).map(i=>i&&this.actionsReducerMap[i.type]({...i,item:this.dataItem},t.event)):this.actionsReducerMap[e.type]({...e,item:this.dataItem},t.event))}this.$emit("removeconfirm",t)},onClickAction(t,e){return[{type:t.event.metaKey||t.event.ctrlKey?this.compSelected&&!this.compDragItem&&!this.compResizeItem?m.ITEMS_SELECT_ACTION.remove:m.ITEMS_SELECT_ACTION.add:m.ITEMS_SELECT_ACTION.select}]},onDoubleClickAction(t,e){return e.editable?[{type:o.FORM_ITEM_ACTION.set,payload:e.dataItem},e.isRecurring&&{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}].filter(Boolean):[]},onRemoveClickAction(t,e){return e.editable?[{type:c.REMOVE_ITEM_ACTION.set,payload:e.dataItem},e.isRecurring?{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}:{type:l.SHOW_REMOVE_DIALOG_ACTION.open}]:[]},onPressAction(t,e){return e.editable?{type:a.DRAG_ITEM_ACTION.start,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onDragAction(t,e){return e.editable?{type:t.dragEvent.originalEvent.metaKey||t.dragEvent.originalEvent.ctrlKey?a.DRAG_ITEM_ACTION.dragSelected:a.DRAG_ITEM_ACTION.drag,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onReleaseAction(t,e){return e.editable&&this.compDragItem?e.isRecurring&&!e.isException&&this.compSeries===null?{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}:{type:e.isRecurring?this.compSeries?a.DRAG_ITEM_ACTION.completeSeries:a.DRAG_ITEM_ACTION.completeOccurrence:a.DRAG_ITEM_ACTION.complete,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onResizePressAction(t,e){return e.editable?{type:r.RESIZE_ITEM_ACTION.start,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onResizeStartDragAction(t,e){return e.editable?{type:t.dragEvent.originalEvent.metaKey||t.dragEvent.originalEvent.ctrlKey?r.RESIZE_ITEM_ACTION.startDragSelected:r.RESIZE_ITEM_ACTION.startDrag,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onResizeEndDragAction(t,e){return e.editable?{type:t.dragEvent.originalEvent.metaKey||t.dragEvent.originalEvent.ctrlKey?r.RESIZE_ITEM_ACTION.endDragSelected:r.RESIZE_ITEM_ACTION.endDrag,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onResizeReleaseAction(t,e){return e.editable&&this.compResizeItem?e.isRecurring&&!e.isException&&this.compSeries===null?{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}:{type:e.isRecurring?this.compSeries?r.RESIZE_ITEM_ACTION.completeSeries:r.RESIZE_ITEM_ACTION.completeOccurrence:r.RESIZE_ITEM_ACTION.complete,payload:{x:t.dragEvent.clientX,y:t.dragEvent.clientY}}:[]},onOccurrenceClickAction(t,e){if(this.compDragItem)return[{type:a.DRAG_ITEM_ACTION.completeOccurrence},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compResizeItem)return[{type:r.RESIZE_ITEM_ACTION.completeOccurrence},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compFormItem)return[{type:d.SERIES_ACTION.set,payload:!1},{type:o.FORM_ITEM_ACTION.set,payload:e.dataItem},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compRemoveItem)return[{type:d.SERIES_ACTION.set,payload:!1},{type:c.REMOVE_ITEM_ACTION.set,payload:e.dataItem},{type:l.SHOW_REMOVE_DIALOG_ACTION.open},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}]},onSeriesClickAction(t,e){if(this.compDragItem)return[{type:a.DRAG_ITEM_ACTION.completeSeries},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compResizeItem)return[{type:r.RESIZE_ITEM_ACTION.completeSeries},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compFormItem)return[{type:d.SERIES_ACTION.set,payload:!0},{type:o.FORM_ITEM_ACTION.setMaster,payload:e.dataItem},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}];if(this.compRemoveItem)return[{type:d.SERIES_ACTION.set,payload:!0},{type:c.REMOVE_ITEM_ACTION.set,payload:e.dataItem},{type:l.SHOW_REMOVE_DIALOG_ACTION.open},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}]},onKeyDownAction(t,e){let i;switch(t.event.keyCode){case h.Keys.enter:return[{type:o.FORM_ITEM_ACTION.set,payload:e.dataItem},e.isRecurring&&{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}];case h.Keys.tab:return[{type:t.event.shiftKey?u.ITEMS_FOCUS_ACTION.prev:u.ITEMS_FOCUS_ACTION.next,ignoreIsAllDay:e.ignoreIsAllDay},{type:t.event.shiftKey?m.ITEMS_SELECT_ACTION.selectPrev:m.ITEMS_SELECT_ACTION.selectNext,ignoreIsAllDay:e.ignoreIsAllDay}];case h.Keys.up:return i=this.bv.slots.find(n=>p.compareSlots(n.cSlot,e.slots[0])),[!!(e.slots.length&&i)&&{type:I.SLOTS_FOCUS_ACTION.up,slot:i}];case h.Keys.right:return i=this.bv.slots.find(n=>p.compareSlots(n.cSlot,e.slots[0])),[!!(e.slots.length&&i)&&{type:I.SLOTS_FOCUS_ACTION.right,slot:i}];case h.Keys.down:return i=this.bv.slots.find(n=>p.compareSlots(n.cSlot,e.slots[e.slots.length-1])),[!!(e.slots.length&&i)&&{type:I.SLOTS_FOCUS_ACTION.down,slot:i}];case h.Keys.left:return i=this.bv.slots.find(n=>p.compareSlots(n.cSlot.cSlot,e.slots[0])),[!!(e.slots.length&&i)&&{type:I.SLOTS_FOCUS_ACTION.left,slot:i}];case h.Keys.delete:case h.Keys.backspace:return[{type:c.REMOVE_ITEM_ACTION.set,payload:e.dataItem},e.isRecurring?{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.open}:{type:l.SHOW_REMOVE_DIALOG_ACTION.open}];default:return}},onFormSubmitAction(t){return{type:o.FORM_ITEM_ACTION.complete,payload:t.value}},onRemoveConfirmAction(){return[{type:c.REMOVE_ITEM_ACTION.complete},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.close}]},onCancelAction(){return[{type:d.SERIES_ACTION.reset},{type:c.REMOVE_ITEM_ACTION.reset},{type:o.FORM_ITEM_ACTION.reset},{type:a.DRAG_ITEM_ACTION.reset},{type:r.RESIZE_ITEM_ACTION.reset},{type:l.SHOW_REMOVE_DIALOG_ACTION.reset},{type:s.SHOW_OCCURRENCE_DIALOG_ACTION.reset}]}}});exports.SchedulerEditItem=_;
