/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),o=require("../utils/main.js"),i=require("@progress/kendo-vue-common"),a=require("@progress/kendo-vue-intl"),n=require("../messages/main.js"),d=require("../components/SchedulerOccurrenceDialog.js"),c=require("../components/SchedulerRemoveDialog.js"),u=require("../components/SchedulerForm.js"),l=require("@progress/kendo-svg-icons"),p=require("../hooks/useEditable.js"),m=t.defineComponent({name:"KendoSchedulerItem",inheritAttrs:!1,emits:{focus:null,blur:null,mousedown:null,mouseup:null,mouseover:null,mouseout:null,mouseenter:null,mouseleave:null,click:null,doubleclick:null,removeclick:null,keydown:null,keypress:null,keyup:null,press:null,drag:null,release:null,resizepress:null,resizestartdrag:null,resizeenddrag:null,resizerelease:null,cancel:null,close:null,formsubmit:null},props:{uid:[String,Number],start:Date,end:Date,originalStart:Date,startTimezone:String,endTimezone:String,isAllDay:Boolean,title:String,description:String,occurrenceId:String,recurrenceExceptions:Array,recurrenceRule:String,recurrenceId:[String,Number],dataItem:Object,head:Boolean,tail:Boolean,order:Number,zonedStart:Object,zonedEnd:Object,slots:Array,group:Object,range:Object,isException:Boolean,isRecurring:Boolean,id:String,tabIndex:Number,className:String,itemStyle:Object,editable:[Object,Boolean],selected:Boolean,vertical:Boolean,dragHint:Boolean,resizeHint:Boolean,format:String,maxSiblingsPerSlot:Number,itemTitle:String,formItem:Object,dragItem:Object,resizeItem:Object,removeItem:Object,ignoreIsAllDay:Boolean,item:[String,Function,Object],showOccurrenceDialog:{type:Boolean,default:void 0},showRemoveDialog:{type:Boolean,default:void 0}},inject:{ks:{default:null},bv:{default:null},kendoLocalizationService:{default:null},kendoIntlService:{default:null},setItems:{default:null},itemClick:{default:null},itemDoubleClick:{default:null},ksCancel:{default:null},ksFormSubmit:{default:null},ksOccurrenceClick:{default:null},ksSeriesClick:{default:null},ksRemoveConfirm:{default:null}},computed:{currentEditable(){return p.useEditable(this.$props.editable)},resource(){const e=this.$props.group.resources.find(s=>!!(s.colorField&&s[s.colorField]!==""&&s[s.colorField]!==void 0)),r=o.toSchedulerGroups(void 0,this.ks.props.resources)[0].resources.find(s=>!!(s.colorField&&s[s.colorField]!==""&&s[s.colorField]!==void 0&&this.dataItem[s.field]===s.value));return e||r},color(){return this.resource&&this.resource.colorField&&this.resource[this.resource.colorField]},currentTabIndex(){return this.$props.tabIndex!==void 0?this.$props.tabIndex===null?void 0:this.$props.tabIndex:this.$props.selected?0:-1},itemClassName(){return{"k-event":!this.$props.resizeHint,"k-selected":this.$props.selected&&this.currentEditable.select,"k-event-drag-hint":this.$props.dragHint,"k-scheduler-marquee":this.$props.resizeHint,"k-marquee":this.$props.resizeHint,"k-first":this.$props.resizeHint&&!this.$props.tail,"k-last":this.$props.resizeHint&&!this.$props.head,[this.$props.className]:this.$props.className}},eventLabel(){return`${o.formatEventTime(this.intl,this.$props.zonedStart,this.$props.zonedEnd,this.$props.isAllDay)}, ${this.$props.title}`},computedStyle(){return{cursor:"pointer",userSelect:"none",borderColor:this.$props.resizeHint?void 0:this.color,backgroundColor:this.$props.resizeHint?void 0:this.color,touchAction:"none",...this.$props.itemStyle}}},created(){this.setItems({type:o.COLLECTION_ACTION.add,item:this})},mounted(){this.element||(this.element=this.$refs.draggable&&this.$refs.draggable.element)},unmounted(){this.setItems({type:o.COLLECTION_ACTION.remove,item:this})},render(){const e=i.getDefaultSlots(this);this.intl=a.provideIntlService(this);const s=a.provideLocalizationService(this).toLanguageString(n.deleteTitle,n.messages[n.deleteTitle]),h=i.getTemplate.call(this,{h:t.h,template:this.bv.viewProps.resizeHint,additionalProps:{dataItem:this.dataItem,color:this.color,itemClassName:this.itemClassName}});return t.createVNode(i.Draggable,{onPress:this.handlePress,onDrag:this.handleDrag,onRelease:this.handleRelease,ref:"draggable"},{default:()=>[t.createVNode("div",{id:this.$props.id,style:this.computedStyle,tabindex:this.currentTabIndex,class:this.itemClassName,role:"button","aria-label":this.eventLabel,onFocusin:this.handleFocus,onBlur:this.handleBlur,onMouseup:this.handleMouseUp,onMousedown:this.handleMouseDown,onClick:this.handleClick,onMouseover:this.handleMouseOver,onMouseout:this.handleMouseOut,onMouseenter:this.handleMouseEnter,onMouseleave:this.handleMouseLeave,onDblclick:this.handleDoubleClick,onKeydown:this.handleKeyDown,onKeypress:this.handleKeyPress,onKeyup:this.handleKeyUp,"data-group-index":this.$props.group.index,"data-range-index":this.$props.range.index},[!this.$props.resizeHint&&t.createVNode("span",{class:"k-event-actions"},[this.$props.tail&&t.createVNode(i.Icon,{name:this.ks.isRtl?"caret-alt-right":"caret-alt-left",icon:this.ks.isRtl?l.caretAltRightIcon:l.caretAltLeftIcon,size:"medium"},null),this.$props.isRecurring&&!this.$props.isException&&t.createVNode(i.Icon,{name:"arrow-rotate-cw",icon:l.arrowRotateCwIcon,size:"medium"},null),!this.$props.isRecurring&&this.$props.isException&&t.createVNode(i.Icon,{name:"arrows-no-repeat",icon:l.arrowsNoRepeatIcon,size:"medium"},null)]),this.formItem&&!this.showOccurrenceDialog&&this.currentEditable.edit&&t.createVNode(u.SchedulerForm,{dataItem:this.formItem,onSubmit:this.handleFormSubmit,onClose:this.handleFormClose,onCancel:this.handleFormCancel},null),this.showOccurrenceDialog&&this.currentEditable.edit&&t.createVNode(d.SchedulerOccurrenceDialog,{dataItem:this.formItem||this.dragItem||this.resizeItem||this.removeItem,isRemove:!!this.removeItem,onClose:this.ksCancel,onOccurrenceclose:this.ksOccurrenceClick,onSeriesclose:this.ksSeriesClick},null),this.showRemoveDialog&&this.removeItem&&this.currentEditable.remove&&t.createVNode(c.SchedulerRemoveDialog,{dataItem:this.removeItem,onClose:this.ksCancel,onCancel:this.ksCancel,onConfirm:this.ksRemoveConfirm},null),e,!this.$props.resizeHint&&t.createVNode("span",{class:"k-event-actions"},[this.currentEditable.remove&&t.createVNode("a",{tabindex:-1,"aria-hidden":"true",class:"k-link k-event-delete",title:s,"aria-label":s,onClick:this.handleRemoveClick},[t.createVNode(i.Icon,{name:"x",icon:l.xIcon,size:"medium"},null)]),this.$props.head&&t.createVNode(i.Icon,{name:this.ks.isRtl?"caret-alt-left":"caret-alt-right",icon:this.ks.isRtl?l.caretAltLeftIcon:l.caretAltRightIcon,size:"medium"},null)]),this.currentEditable.resize&&this.$props.vertical&&[t.createVNode(i.Draggable,{onPress:this.handleResizePress,onDrag:this.handleResizeStartDrag,onRelease:this.handleResizeRelease},{default:()=>[t.createVNode("span",{class:"k-resize-handle k-resize-n"},null)]}),t.createVNode(i.Draggable,{onPress:this.handleResizePress,onDrag:this.handleResizeEndDrag,onRelease:this.handleResizeRelease},{default:()=>[t.createVNode("span",{class:"k-resize-handle k-resize-s"},null)]})],this.currentEditable.resize&&!this.$props.vertical&&[t.createVNode(i.Draggable,{onPress:this.handleResizePress,onDrag:this.handleResizeStartDrag,onRelease:this.handleResizeRelease},{default:()=>[t.createVNode("span",{class:"k-resize-handle k-resize-w"},null)]}),t.createVNode(i.Draggable,{onPress:this.handleResizePress,onDrag:this.handleResizeEndDrag,onRelease:this.handleResizeRelease},{default:()=>[t.createVNode("span",{class:"k-resize-handle k-resize-e"},null)]})],this.$props.resizeHint?this.bv.viewProps.resizeHint?h:[t.createVNode("div",{class:"k-marquee-color",style:{borderColor:this.color,backgroundColor:this.color}},null),t.createVNode("div",{class:"k-marquee-text"},[!this.$props.tail&&t.createVNode("div",{class:"k-label-top"},[this.intl.formatDate(this.$props.zonedStart,this.$props.format)]),!this.$props.head&&t.createVNode("div",{class:"k-label-bottom"},[this.intl.formatDate(this.$props.zonedEnd,this.$props.format)])])]:null])]})},methods:{getElement(){return this.$el.nodeType===8?this.$el.parentElement:this.$el.nodeType===3?this.$el.nextElementSibling:this.$el},handleFocus(e){this.$emit("focus",{event:e,target:{props:{...this.$props},element:this.element}})},handleBlur(e){this.$emit("blur",{event:e,target:{props:{...this.$props},element:this.element}})},handleMouseDown(e){this.$emit("mousedown",{event:e,target:{props:{...this.$props},element:this.element}})},handleClick(e){const r={event:e,target:{props:{...this.$props},element:this.element}};this.$emit("click",r),this.itemClick(r)},handleMouseUp(e){this.$emit("mouseup",{event:e,target:{props:{...this.$props},element:this.element}})},handleMouseOver(e){this.$emit("mouseover",{event:e,target:{props:{...this.$props},element:this.element}})},handleMouseOut(e){this.$emit("mouseout",{event:e,target:{props:{...this.$props},element:this.element}})},handleMouseEnter(e){this.$emit("mouseenter",{event:e,target:{props:{...this.$props},element:this.element}})},handleMouseLeave(e){this.$emit("mouseleave",{event:e,target:{props:{...this.$props},element:this.element}})},handleDoubleClick(e){const r={event:e,target:{props:{...this.$props},element:this.element}};this.$emit("doubleclick",r),this.itemDoubleClick(r)},handleRemoveClick(e){this.$emit("removeclick",{event:e,target:{props:{...this.$props},element:this.element}})},handleKeyDown(e){this.$emit("keydown",{event:e,target:{props:{...this.$props},element:this.element}})},handleKeyPress(e){this.$emit("keypress",{event:e,target:{props:{...this.$props},element:this.element}})},handleKeyUp(e){this.$emit("keyup",{event:e,target:{props:{...this.$props},element:this.element}})},handlePress(e){this.currentEditable.drag&&this.$emit("press",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleDrag(e){this.currentEditable.drag&&this.$emit("drag",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleRelease(e){this.currentEditable.drag&&this.$emit("release",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleResizePress(e){this.$emit("resizepress",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleResizeStartDrag(e){this.$emit("resizestartdrag",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleResizeEndDrag(e){this.$emit("resizeenddrag",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleResizeRelease(e){this.$emit("resizerelease",{dragEvent:e,target:{props:{...this.$props},element:this.element}})},handleFormClose(e){this.ksCancel(e),this.$emit("close",e)},handleFormSubmit(e){this.ksFormSubmit(e),this.$emit("formsubmit",e)},handleFormCancel(e){this.ksCancel(e),this.$emit("cancel",e)}}});exports.SchedulerItem=m;
