/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const a=require("vue"),p=require("@progress/kendo-vue-intl"),d=require("@progress/kendo-vue-form"),r=require("../messages/main.js"),V=require("@progress/kendo-recurrence"),f=require("@progress/kendo-date-math"),N=require("./RecurrenceFrequencyEditor.js"),O=require("./RecurrenceRepeatOnWeekEditor.js"),l=require("./common.js"),s=require("@progress/kendo-vue-labels"),u=require("@progress/kendo-vue-inputs"),h=require("@progress/kendo-vue-dropdowns"),M=require("@progress/kendo-vue-dateinputs");function i(t){return typeof t=="function"||Object.prototype.toString.call(t)==="[object Object]"&&!a.isVNode(t)}const W=a.defineComponent({name:"KendoRecurrenceEditor",emits:{change:null},props:{name:String,value:{type:String,default:""},start:Date,timezone:String},inject:{ks:{default:null},kendoLocalizationService:{default:null},kendoIntlService:{default:null}},computed:{rrule(){return l.getRule(this.$props.value)},frequencies(){return l.getFrequencies(this.localizeMessage)},frequency(){return l.getFrequency(this.rrule)},extendedWeekDays(){return l.getExtendedWeekDays(this.intl,this.localizeMessage)},weekDay(){return l.getWeekDay(this.extendedWeekDays,this.rrule,this.$props.start)},months(){return l.getMonths(this.intl)},month(){return l.getMonth(this.months,this.rrule)},offsets(){return l.getOffsets(this.localizeMessage)},offset(){return l.getOffset(this.offsets,this.rrule)},endRule(){return l.getEndRule(this.rrule)},monthDay(){return l.getMonthDay(this.rrule,this.$props.start)},until(){return l.getUntil(this.rrule)},weekDays(){return l.getWeekDays(this.intl)},repeatOnRule(){return l.getRepeatOnRule(this.rrule)}},data(){return{defaultCount:1,defaultUntil:f.ZonedDate.fromUTCDate(this.$props.start)}},render(){let t,e,n,y,g,k,m;this.intl=p.provideIntlService(this),this.localization=p.provideLocalizationService(this),this.ks.timezone;const o={display:"flex",alignItems:"center",minHeight:30},v=function(){return[a.createVNode(h.DropDownList,{key:"weekday-offset",textField:"text",dataItemKey:"value",disabled:this.repeatOnRule!=="weekday",dataItems:this.offsets,value:this.offset,onChange:this.handleOffsetChange,style:{width:"auto"}},null),a.createVNode(h.DropDownList,{key:"weekday-value",disabled:this.repeatOnRule!=="weekday",value:this.weekDay,dataItems:this.extendedWeekDays,onChange:this.handleWeekDayChange,textField:"text",dataItemKey:"value",style:{width:"auto"}},null)]},D=function(){return a.createVNode(u.NumericTextBox,{key:"weekday-day",min:1,max:31,disabled:this.repeatOnRule!=="monthday",value:this.rrule&&this.rrule.byMonthDay&&this.rrule.byMonthDay[0],onChange:this.handleMonthDayChange,style:{width:"auto"}},null)},b=function(){return[a.createVNode(h.DropDownList,{key:"monthday-month",disabled:this.repeatOnRule!=="monthday",value:this.month,dataItems:this.months,textField:"text",dataItemKey:"value",onChange:this.handleMonthChange,style:{width:"auto"}},null),a.createVNode(u.NumericTextBox,{key:"monthday-day",min:1,max:31,disabled:this.repeatOnRule!=="monthday",value:this.monthDay,onChange:this.handleMonthDayChange,style:{width:"auto"}},null)]},C=function(){return[a.createVNode(h.DropDownList,{key:"yearly-weekday-offset",textField:"text",dataItemKey:"value",disabled:this.repeatOnRule!=="weekday",dataItems:this.offsets,value:this.offset,onChange:this.handleOffsetChange,style:{width:"auto"}},null),a.createVNode(h.DropDownList,{key:"yearly-weekday-day",textField:"text",dataItemKey:"value",disabled:this.repeatOnRule!=="weekday",value:this.weekDay,dataItems:this.extendedWeekDays,onChange:this.handleWeekDayChange,style:{width:"auto"}},null),a.createVNode("span",{key:"yearly-weekday-of-label"},[this.localizeMessage(r.recurrenceEditorYearlyOf,!0)]),a.createVNode(h.DropDownList,{key:"yearly-weekday-month",textField:"text",dataItemKey:"value",disabled:this.repeatOnRule!=="weekday",value:this.month,dataItems:this.months,onChange:this.handleMonthChange,style:{width:"auto"}},null)]},w=function(){let c;return[a.createVNode(u.NumericTextBox,{key:"endrule-after-editor",id:"k-endrule-after",min:1,style:{width:"70px"},value:this.endRule==="count"?this.rrule.count:this.defaultCount,onChange:this.handleCountChange,disabled:this.endRule!=="count"},null),a.createVNode(s.Label,{key:"endrule-after-label",class:"k-radio-label",editorId:"k-endrule-after"},i(c=this.localizeMessage(r.recurrenceEditorEndOccurrence,!0))?c:{default:()=>[c]})]},R=()=>a.createVNode(M.DatePicker,{key:"k-endrule-until-editor",id:"k-endrule-until",disabled:this.endRule!=="until",min:this.$props.start,value:this.endRule==="until"?this.until:f.toLocalDate(this.defaultUntil),onChange:this.handleUntilChange,style:{width:"auto"}},null);return a.createVNode("div",null,[a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{class:"k-form-label"},i(t=this.localization.toLanguageString(r.recurrenceEditorRepeat,r.messages[r.recurrenceEditorRepeat]))?t:{default:()=>[t]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(N.RecurrenceFrequencyEditor,{value:this.frequency,dataItems:this.frequencies,onChange:this.handleFrequencyChange},null)])]}),this.frequency!=="never"&&a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{editorId:"interval-editor",class:"k-form-label"},i(e=this.localizeMessage(l.capitalize(this.frequency)+"RepeatEvery"))?e:{default:()=>[e]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(u.NumericTextBox,{min:1,step:1,defaultValue:1,value:this.rrule.interval,onChange:this.handleIntervalChange,id:"interval-editor"},null),a.createVNode(s.Label,{editorId:"interval-editor"},i(n=this.localizeMessage(l.capitalize(this.frequency)+"Interval"))?n:{default:()=>[n]})])]}),this.frequency==="weekly"&&a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{class:"k-form-label"},i(y=this.localizeMessage(r.recurrenceEditorWeeklyRepeatOn,!0))?y:{default:()=>[y]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(O.RecurrenceRepeatOnWeekEditor,{dataItems:this.weekDays,value:(this.rrule.byWeekDay||[]).map(({day:c})=>c),onChange:this.handleWeekDaysChange},null)])]}),this.frequency==="monthly"&&a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{key:"recurrence-repeat-on-monthly-label",class:"k-form-label"},i(g=this.localizeMessage(r.recurrenceEditorMonthlyRepeatOn,!0))?g:{default:()=>[g]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(u.RadioGroup,{value:this.repeatOnRule,onChange:this.handleRepeatOnRuleChange,class:"k-reset",dataItems:[{value:"monthday",style:o,label:this.localizeMessage(r.recurrenceEditorMonthlyDay,!0),content:D.call(this)},{value:"weekday",style:o,label:" ",content:v.call(this)}]},null)])]}),this.frequency==="yearly"&&a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{class:"k-form-label"},i(k=this.localizeMessage(r.recurrenceEditorYearlyRepeatOn,!0))?k:{default:()=>[k]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(u.RadioGroup,{value:this.repeatOnRule,onChange:this.handleRepeatOnRuleChange,class:"k-reset",dataItems:[{value:"monthday",label:" ",style:o,content:b.call(this)},{value:"weekday",label:" ",style:o,content:C.call(this)}]},null)])]}),this.frequency!=="never"&&a.createVNode(d.FieldWrapper,null,{default:()=>[a.createVNode(s.Label,{class:"k-form-label"},i(m=this.localizeMessage(r.recurrenceEditorEndLabel,!0))?m:{default:()=>[m]}),a.createVNode("div",{class:"k-form-field-wrap"},[a.createVNode(u.RadioGroup,{value:this.endRule,onChange:this.handleEndRuleChange,dataItems:[{value:"never",style:o,label:this.localizeMessage(r.recurrenceEditorEndNever,!0)},{value:"count",style:o,label:this.localizeMessage(r.recurrenceEditorEndAfter,!0),content:w.call(this)},{value:"until",style:o,label:this.localizeMessage(r.recurrenceEditorEndOn,!0),content:R.call(this)}]},null)])]})])},methods:{localizeMessage(t,e){const n=e?t:"scheduler.recurrenceEditor"+t;return this.localization.toLanguageString(n,r.messages[n])},onChangeHandler(t){t.freq==="never"?this.$emit("change",{value:null}):(t.weekStart===void 0&&(t.weekStart=this.intl.firstDay()),this.$emit("change",{value:V.serializeRule(t,this.$props.timezone)}))},handleFrequencyChange(t){const e={};e.freq=t,e.interval=1,t==="weekly"&&(e.byWeekDay=[{day:f.ZonedDate.fromLocalDate(this.$props.start,this.timezone).getDay(),offset:0}]),(t==="monthly"||t==="yearly")&&(e.byMonthDay=[this.$props.start.getDate()]),t==="yearly"&&(e.byMonth=[this.$props.start.getMonth()+1]),this.onChangeHandler(e)},handleIntervalChange(t){const e=t.value;this.onChangeHandler(Object.assign({},this.rrule,{interval:e}))},handleCountChange(t){const e=t.value;this.onChangeHandler(Object.assign({},this.rrule,{count:e})),e!==null&&(this.defaultCount=e)},handleUntilChange(t){const e=t.value;if(!e)return;const n=f.ZonedDate.fromLocalDate(e,this.$props.timezone);this.onChangeHandler(Object.assign({},this.rrule,{until:n})),this.defaultUntil=n},handleWeekDaysChange(t){this.onChangeHandler(Object.assign({},this.rrule,{byWeekDay:this.weekDays.filter(e=>t.some(n=>n===e.value)).map(e=>({offset:0,day:e.value}))}))},handleWeekDayChange(t){const e=Object.assign({},this.rrule),n=t.target.value;typeof n.value=="string"?(e.byWeekDay=l.weekDayRuleFromString(n.value),e.bySetPosition=[this.offset.value]):e.byWeekDay=[{day:n.value,offset:this.offset.value}],this.onChangeHandler(e)},handleMonthDayChange(t){this.onChangeHandler(Object.assign({},this.rrule,{byMonthDay:[t.value]}))},handleMonthChange(t){const e=t.value;this.onChangeHandler(Object.assign({},this.rrule,{byMonth:[e.value]}))},handleEndRuleChange(t){const e=t.value,n=Object.assign({},this.rrule);switch(e){case"never":n.until=void 0,n.count=void 0;break;case"count":n.until=void 0,n.count=this.defaultCount;break;case"until":n.until=this.defaultUntil,n.count=void 0;break}this.onChangeHandler(n)},handleRepeatOnRuleChange(t){const e=Object.assign({},this.rrule);t.value==="monthday"?(e.byWeekDay=void 0,e.bySetPosition=void 0,e.byMonthDay=[this.monthDay]):t.value==="weekday"&&(e.byMonthDay=void 0,typeof this.weekDay.value=="string"?(e.bySetPosition=[this.offset.value],e.byWeekDay=l.weekDayRuleFromString(this.weekDay.value)):e.byWeekDay=[{day:this.weekDay.value,offset:this.offset.value}]),this.onChangeHandler(e)},handleOffsetChange(t){const e=Object.assign({},this.rrule),n=t.value;if(e.byWeekDay)switch(e.byWeekDay.length){case 7:case 5:case 2:e.bySetPosition=[n.value];break;case 1:e.byWeekDay[0].offset=n.value;break}this.onChangeHandler(e)}}});exports.RecurrenceEditor=W;
