/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("vue"),d=require("@progress/kendo-vue-intl"),c=require("../messages/main.js"),n=require("@progress/kendo-vue-common"),u=require("../components/SchedulerOccurrenceDialog.js"),h=require("../components/SchedulerRemoveDialog.js"),s=require("@progress/kendo-svg-icons"),k=require("../hooks/useEditable.js"),m=e.defineComponent({name:"KendoSchedulerTask",props:{refTo:[Function,Object],id:String,tabIndex:Number,head:Boolean,tail:Boolean,order:Number,zonedStart:Object,zonedEnd:Object,slots:Array,group:Object,range:Object,isException:Boolean,isRecurring:Boolean,isAllDay:Boolean,uid:[String,Number],start:Date,end:Date,originalStart:Date,startTimezone:String,endTimezone:String,title:String,description:String,occurrenceId:String,recurrenceExceptions:Array,recurrenceRule:String,recurrenceId:[String,Number],dataItem:Object,removeItem:Object,editable:[Object,Boolean],showOccurrenceDialog:{type:Boolean,default:void 0},showRemoveDialog:{type:Boolean,default:void 0},onRemoveclick:Function},inject:{kendoLocalizationService:{default:null},taskClick:{default:null},taskDoubleClick:{default:null},ksCancel:{default:null},ksSeriesClick:{default:null},ksOccurrenceClick:{default:null},ksRemoveConfirm:{default:null}},created(){this.task=null},render(){const t=n.getDefaultSlots(this),o=k.useEditable(this.$props.editable),a=d.provideLocalizationService(this).toLanguageString(c.deleteTitle,c.messages[c.deleteTitle]),l=this.$props.group.resources.find(r=>!!(r.colorField&&r[r.colorField]!==void 0)),i=l&&l.colorField&&l[l.colorField];return e.createVNode("div",{id:this.$props.id,class:"k-task",tabindex:this.$props.tabIndex||void 0,onClick:this.handleClick,onDblclick:this.handleDoubleClick},[i&&e.createVNode("span",{class:"k-scheduler-mark",style:{color:i,backgroundColor:i}},null),this.$props.isRecurring&&e.createVNode(n.Icon,{name:"arrow-rotate-cw",icon:s.arrowRotateCwIcon},null),this.$props.isException&&e.createVNode(n.Icon,{name:"arrows-no-repeat",icon:s.arrowsNoRepeatIcon},null),this.$props.title,t,o.remove&&e.createVNode("a",{class:"k-link k-event-delete",title:a,"aria-label":a,onClick:this.handleRemoveClick},[e.createVNode(n.Icon,{name:"x",icon:s.xIcon},null)]),this.showOccurrenceDialog&&e.createVNode(u.SchedulerOccurrenceDialog,{dataItem:this.removeItem,isRemove:this.removeItem!==null,onClose:this.ksCancel,onOccurrenceclose:this.ksOccurrenceClick,onSeriesclose:this.ksSeriesClick},null),this.showRemoveDialog&&e.createVNode(h.SchedulerRemoveDialog,{dataItem:this.removeItem,onClose:this.ksCancel,onCancel:this.ksCancel,onConfirm:this.ksRemoveConfirm},null)])},methods:{handleRemoveClick(t){this.$emit("removeclick",{event:t,target:this.task})},handleClick(t){const o={event:t,target:{props:{...this.$props},element:this.$el}};this.$emit("click",o),this.taskClick(o)},handleDoubleClick(t){const o={event:t,target:{props:{...this.$props},element:this.$el}};this.$emit("doubleclick",o),this.taskDoubleClick(o)}}});exports.SchedulerTask=m;
