/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const v=require("@progress/kendo-date-math"),m=require("../views/common/utils.js"),M=require("@progress/kendo-vue-common"),A=require("@progress/kendo-data-query");var T=(e=>(e[e.add=0]="add",e[e.remove=1]="remove",e))(T||{});const $=e=>e[0],H=e=>e[e.length-1],R=e=>{const t=new Set;return e.forEach(n=>{t.add(n.field)}),t.size===e.length};function k(e,t,n,r){const s={skeleton:"yMMMMEEEEdhm"},o={skeleton:"yMMMMEEEEd"};return r?`${e.formatDate(t,o)}`:`${e.formatDate(t,s)}–${e.formatDate(n,"t")}`}const b=()=>v.getDate(new Date),I=(e,t,n,r=0)=>{if(r===n)return null;let s=null;const o=document.elementFromPoint(e,t);if(!o)return s;if(o.getAttribute("data-slot")==="true")return o;{const u=o.style.pointerEvents;o.style.pointerEvents="none",s=I(e,t,n,r+1),o.style.pointerEvents=u}return s},d=(e,t)=>M.getter(t)(e),G=(e,t,n)=>{if(t)return M.setter(t)(e,n)},z=e=>e!=null;function B(e){return new Date(Date.UTC(e.getFullYear(),e.getMonth(),e.getDate(),e.getHours(),e.getMinutes(),e.getSeconds(),e.getMilliseconds()))}const P=(e,t,n)=>{const r=h(e,t)?d(e,t.id):d(e,t.recurrenceId);return n.find(s=>d(s,t.id)===r)},h=(e,t)=>{const n=d(e,t.id),r=d(e,t.recurrenceId),s=d(e,t.recurrenceRule);return!!(n&&s&&r==null)},x=(e,t)=>Math.max(e.getTime(),t.getTime()),S=(e,t)=>Math.min(e.getTime(),t.getTime()),l=(e,t,n,r,s=!1)=>s?x(t,r)-S(e,n)<=t.getTime()-e.getTime()+(r.getTime()-n.getTime()):x(t,r)-S(e,n)<t.getTime()-e.getTime()+(r.getTime()-n.getTime()),y={id:"id",start:"start",startTimezone:"startTimezone",originalStart:"originalStart",end:"end",endTimezone:"endTimezone",isAllDay:"isAllDay",title:"title",description:"description",recurrenceRule:"recurrenceRule",recurrenceId:"recurrenceId",recurrenceExceptions:"recurrenceExceptions"},q=e=>({fields:{...y,...e}}),w=(e,t,n)=>(t.getHours()<e.getHours()||t.getHours()===e.getHours()&&t.getMinutes()<=e.getMinutes())&&(e.getHours()<n.getHours()||n.getHours()===e.getHours()&&e.getMinutes()<n.getMinutes()),U=(e,t)=>{const n=m.toGroupResources(e,t),r=m.toFlatGroupResources(n);return r.length===1?[{index:0,resources:(t||[]).reduce((s,o)=>[...s,...o.data.map(i=>({...i,field:o.field,valueField:o.valueField,colorField:o.colorField,multiple:o.multiple}))],[])}]:r.map((s,o)=>({index:o,resources:s}))},E=e=>e==null,C=e=>E(e)||e.trim&&e.trim().length===0,g=e=>{let t=0;const n=e.slice();return n.sort((r,s)=>r-s).forEach((r,s)=>{n[s]===s&&(t=s+1)}),t},N=(e,t,n,r=!1)=>{let s;return n.forEach(o=>{const i=[];t.sort((c,f)=>c.$props.start.getTime()-f.$props.start.getTime()).forEach(c=>{if((r||c.$props.isAllDay===o.cSlot.isAllDay)&&c.$props.range.index===o.cSlot.range.index&&c.$props.group.index===o.cSlot.group.index&&l(c.$props.start,c.$props.end,o.cSlot.start,o.cSlot.end)){const a=g(i);c===e&&s===void 0&&(s=a),i.splice(a,0,a)}})}),s},j=(e,t,n=!1)=>{t.forEach(r=>r.items.splice(0,r.items.length)),t.forEach(r=>{const s=[];e.forEach(o=>{const i=r.cSlot?r.cSlot:r;if((n||o.isAllDay===i.isAllDay)&&o.range.index===i.range.index&&o.group.index===i.group.index&&l(o.start,o.end,i.start,i.end)){const c=g(s);(o.order===null||o.order===void 0||o.order<c)&&(o.order=c),s.splice(o.order,0,o.order),i.items.push(o)}})})},Q=(e,t,n=!1)=>{e.forEach(r=>r.slots.splice(0,r.slots.length)),e.forEach(r=>{t.forEach(s=>{const o=s.cSlot?s.cSlot:s;(n||r.isAllDay===o.isAllDay)&&r.range.index===o.range.index&&r.group.index===o.group.index&&l(r.start,r.end,o.start,o.end)&&r.slots.push(s)})})},V=function(e){return e.props.items.find(n=>n.order===0)||e.props.items[0]},D=(e,t,n)=>!!(e.uid===t.uid&&(e.occurrenceId===void 0||e.occurrenceId===t.occurrenceId)&&e.group.index===t.group.index&&e.range.index===t.range.index&&(n||e.isAllDay===t.isAllDay)),F=(e,t)=>{const n=e.filter(s=>s.element!==null);return A.orderBy(n,[{field:"group.index",dir:"asc"},{field:"range.index",dir:"asc"},t?{field:""}:{field:"isAllDay",dir:"desc"},{field:"start",dir:"asc"}])},Y=(e,t)=>e.start.getTime()===t.start.getTime()&&e.end.getTime()===t.end.getTime()&&e.index===t.index&&e.group.index===t.group.index&&e.range.index===t.range.index&&e.isAllDay===t.isAllDay,p=(e,t,n=!1)=>{const r=e,s=F(t,n);return{currentIndex:s.findIndex(i=>D(i,r,n)),sorted:s}},J=(e,t,n=!1)=>{if(!e||!t)return null;const{currentIndex:r,sorted:s}=p(e,t,n)||{};return s[r]},K=(e,t,n=!1,r=!1)=>{const{currentIndex:s,sorted:o}=p(e,t,n);return o[s+(r?-1:1)]},W=(e,t)=>(e.order||0)-(t.order||0);exports.COLLECTION_ACTION=T;exports.calculateOrder=N;exports.compareItems=D;exports.compareSlots=Y;exports.defaultModelFields=y;exports.findCurrentItem=J;exports.findFirstItem=V;exports.findMaster=P;exports.findMissing=g;exports.findNextItem=K;exports.first=$;exports.formatEventTime=k;exports.getCurrentItemIndex=p;exports.getField=d;exports.getModelFields=q;exports.getSortedSlots=F;exports.getToday=b;exports.intersects=l;exports.isBlank=E;exports.isGroupped=R;exports.isInTimeRange=w;exports.isMaster=h;exports.isNullOrEmptyString=C;exports.isPresent=z;exports.last=H;exports.mapItemsToSlots=Q;exports.mapSlotsToItems=j;exports.orderSort=W;exports.setField=G;exports.slotDive=I;exports.toSchedulerGroups=U;exports.toUTCDateTime=B;
