/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const s=require("vue"),f=require("../../components/BaseView.js"),m=require("../common/VerticalResourceIterator.js"),l=require("../../constants/main.js"),t=require("@progress/kendo-date-math"),n=require("@progress/kendo-vue-intl"),T=require("../../services/rangeService.js"),y=require("../../services/occurrenceService.js"),V=require("../../services/itemsService.js"),a=require("../../utils/main.js"),v=require("./AgendaViewHead.js"),A=require("./AgendaViewBody.js"),E=require("../../tasks/SchedulerEditTask.js"),N=require("../../slots/SchedulerEditSlot.js"),_=require("../../services/slotsService.js"),r=require("../../hooks/useCellSync.js"),q=s.defineComponent({name:"KendoAgendaView",props:{name:{type:String,default:"agenda"},dateRange:{type:[Function,Object],default:function(){return I}},selectedDateFormat:{type:String,default:"{0:D} - {1:D}"},selectedShortDateFormat:{type:String,default:"{0:d} - {1:d}"},slotDuration:{type:Number,default:60*24},slotDivisions:{type:Number,default:1},step:{type:Number,default:l.DAYS_IN_WEEK_COUNT},numberOfDays:{type:Number,default:l.DAYS_IN_WEEK_COUNT},task:[String,Function,Object],editable:{type:[Boolean,Object],default:!1}},inject:{ks:{default:null},kendoLocalizationService:{default:null},kendoIntlService:{default:null}},created(){this.intl=n.provideIntlService(this)},mounted(){r.useCellSync({element:this.$el,selector:".k-scheduler-datecolumn",explicitDepth:!1}),setTimeout(()=>r.useCellSync({element:this.$el,selector:".k-scheduler-timecolumn",explicitDepth:!1}))},updated(){r.useCellSync({element:this.$el,selector:".k-scheduler-datecolumn",explicitDepth:!1}),setTimeout(()=>r.useCellSync({element:this.$el,selector:".k-scheduler-timecolumn",explicitDepth:!1}))},computed:{ranges(){return T.toRanges(this.ks.dateRange,{step:t.MS_PER_DAY,timezone:this.ks.timezone})},agendaSlots(){return _.toSlots(this.ks.dateRange,{step:t.MS_PER_DAY},{groups:this.ks.groups,ranges:this.ranges})},occurrences(){return y.toOccurrences(this.ks.dataItems,{dateRange:this.ks.dateRange,fields:this.ks.fields,timezone:this.ks.timezone})},items(){const e=V.toItems(this.occurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.ranges});return a.mapItemsToSlots(e,this.agendaSlots,!0),a.mapSlotsToItems(e,this.agendaSlots,!0),e}},render(){this.$props.editTask||E.SchedulerEditTask,this.$props.editSlot||N.SchedulerEditSlot,n.provideIntlService(this),n.provideLocalizationService(this);const e=this.agendaSlots;return s.createVNode(f.BaseView,{id:this.$props.id,class:"k-scheduler-agendaview",viewProps:{...this.$props},baseSlots:this.items,ranges:this.ranges,isAgendaView:!0},{default:()=>[s.createVNode("div",{class:"k-scheduler-head"},[s.createVNode(m.VerticalResourceIterator,{resources:this.ks.props.resources,group:this.ks.props.group},{default:()=>[s.createVNode(v.AgendaViewHead,null,null)]})]),s.createVNode(m.VerticalResourceIterator,{resources:this.ks.props.resources,group:this.ks.props.group,nested:!0},{default:()=>[s.createVNode(A.AgendaViewBody,{items:this.items,agendaSlots:e,task:this.$props.task,editable:this.$props.editable,onDataaction:this.handleDataAction},null)]})]})},methods:{handleDataAction(e){this.$emit("dataaction",e)}}}),g=e=>t.getDate(e),w=(e,i)=>t.getDate(t.addDays(e,i||1)),I=({intl:e,date:i,numberOfDays:c=1,timezone:o})=>{const d=t.ZonedDate.fromLocalDate(i,o),u=c===l.DAYS_IN_WEEK_COUNT?g(t.firstDayInWeek(d,e.firstDay())):g(d),S=w(u,c),p=t.ZonedDate.fromUTCDate(a.toUTCDateTime(u),o),h=t.ZonedDate.fromUTCDate(a.toUTCDateTime(S),o),D=new Date(p.getTime()),k=new Date(h.getTime());return{start:D,end:k,zonedStart:p,zonedEnd:h}};exports.AgendaView=q;
