/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const r=require("vue"),n=require("@progress/kendo-date-math"),N=require("../../components/BaseView.js"),I=require("../common/HorizontalResourceIterator.js"),R=require("./DayViewGroupRowContent.js"),k=require("../common/VerticalResourceIterator.js"),f=require("./DayViewAllDayRowContent.js"),M=require("./DayViewRowContent.js"),x=require("./DayViewMiddleRow.js"),q=require("./DayViewVerticalRow.js"),z=require("./DayViewHead.js"),H=require("./DayViewAllDaySlots.js"),i=require("../../utils/main.js"),g=require("@progress/kendo-vue-intl"),O=require("../../constants/main.js"),$=require("../common/SchedulerDrag.js"),W=require("../../slots/SchedulerEditSlot.js"),j=require("../../items/SchedulerEditItem.js"),F=require("../../components/CurrentTimeMarker.js"),_=require("../../components/CurrentTimeMarkerArrow.js"),v=require("../common/SchedulerResize.js"),E=require("../../services/rangeService.js"),V=require("../../services/slotsService.js"),P=require("../../services/occurrenceService.js"),T=require("../../services/itemsService.js"),b=0,B=r.defineComponent({name:"KendoMultiDayView",props:{name:{type:String,default:"multi-day"},title:{type:String,default:"Multi Day"},currentTimeMarker:{type:Boolean,default:!0},dateRange:{type:[Function,Object],default:function(){return C}},numberOfDays:{type:Number,default:1},startTime:{type:String,default:"00:00"},endTime:{type:String,default:"23:59"},workDayStart:{type:String,default:"08:00"},workDayEnd:{type:String,default:"17:00"},workWeekStart:{type:Number,default:n.Day.Monday},workWeekEnd:{type:Number,default:n.Day.Friday},step:{type:Number,default:1},slotDivisions:{type:Number,default:2},slotDuration:{type:Number,default:60},showWorkHours:{type:Boolean,default:!0},selectedDateFormat:{type:String,default:"{0:D} - {1:D}"},selectedShortDateFormat:{type:String,default:"{0:d} - {1:d}"},dragItem:{type:Object,default:function(){}},resizeItem:{type:Object,default:function(){}},format:{type:String,default:"t"},defaultShowWorkHours:{type:Boolean,default:!0},dateHeaderCell:[String,Function,Object],timeHeaderCell:[String,Function,Object],slotRender:[String,Function,Object],viewSlot:[String,Function,Object],resizeHint:[String,Function,Object],item:[String,Function,Object],viewItem:[String,Function,Object],editable:{type:[Boolean,Object],default:!1},onDataaction:Function},inject:{kendoIntlService:{default:null},ks:{default:null}},computed:{viewStart(){this.intl=g.provideIntlService(this);const t=this.intl.parseDate(this.$props.workDayStart),s=this.intl.parseDate(this.$props.startTime);return(this.ks.showWorkHours!==void 0?this.ks.showWorkHours:this.showWorkHours)?t:s},viewEnd(){this.intl=g.provideIntlService(this);const t=this.intl.parseDate(this.$props.workDayEnd),s=this.intl.parseDate(this.$props.endTime);return(this.ks.showWorkHours!==void 0?this.ks.showWorkHours:this.showWorkHours)?t:s},dayRanges(){return E.toRanges(this.ks.dateRange,{step:n.MS_PER_DAY*this.numberOfDays,timezone:this.ks.timezone}).map(t=>({...t,isAllDay:!0}))},timeRanges(){return E.toRanges(this.ks.dateRange,{step:n.MS_PER_DAY,timezone:this.ks.timezone}).map(t=>({...t,isAllDay:!1}))},daySlots(){return V.toSlots(this.ks.dateRange,{step:n.MS_PER_DAY},{groups:this.ks.groups,ranges:this.dayRanges})},timeSlots(){const t=this;return V.toSlots(this.ks.dateRange,{step:this.slotDuration*O.MS_PER_MINUTE/this.slotDivisions},{groups:this.ks.groups,ranges:this.timeRanges}).filter(s=>t.viewEnd.getTime()===t.viewStart.getTime()||i.isInTimeRange(s.zonedStart,t.viewStart,t.viewEnd))},occurrences(){return P.toOccurrences(this.ks.dataItems,{dateRange:this.ks.dateRange,fields:this.ks.fields,timezone:this.ks.timezone})},dayOccurrences(){return this.occurrences.filter(t=>t.isAllDay)},timeOccurrences(){return this.occurrences.filter(t=>!t.isAllDay)},dayItems(){const t=T.toItems(this.dayOccurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.dayRanges});return i.mapItemsToSlots(t,this.daySlots,!1),i.mapSlotsToItems(t,this.daySlots,!1),t},timeItems(){const t=T.toItems(this.timeOccurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.timeRanges}).filter(s=>this.viewStart.getTime()===this.viewEnd.getTime()||i.isInTimeRange(s.zonedStart,this.viewStart,this.viewEnd)||i.isInTimeRange(s.zonedEnd,this.viewStart,this.viewEnd)||i.isInTimeRange(new Date(s.zonedEnd.getTime()-(s.zonedEnd.getTime()-s.zonedStart.getTime())/2),this.viewStart,this.viewEnd));return i.mapItemsToSlots(t,this.timeSlots,!1),i.mapSlotsToItems(t,this.timeSlots,!1),t},compDragItem(){return this.dragItem!==void 0?this.dragItem:this.currentDragItem},compResizeItem(){return this.resizeItem!==void 0?this.resizeItem:this.currentResizeItem}},data(){return{hasMounted:!1,currentDragItem:void 0,currentResizeItem:void 0}},mounted(){this.hasMounted=!0},created(){this.intl=g.provideIntlService(this)},beforeUpdate(){this.intl=g.provideIntlService(this)},render(){this.intl=g.provideIntlService(this);const t=this.$props.editItem||j.SchedulerEditItem;this.$props.editSlot||W.SchedulerEditSlot,this.$props.showWorkHours;const s=this.$props.numberOfDays,a=this.$props.slotDivisions;this.$props.slotDuration;const l=this.$props.workWeekStart,d=this.$props.workWeekEnd,m=this.intl.parseDate(this.$props.workDayStart),c=this.intl.parseDate(this.$props.workDayEnd),u=this.dayItems,D=this.timeItems,h=this.daySlots,p=this.timeSlots,A=this.ks.view.name==="workweek"||this.ks.view.name==="week",y=function(e){return this.compDragItem&&this.$props.editable.drag&&(Array.isArray(this.compDragItem)?this.compDragItem.map(function(o,S){return r.createVNode($.SchedulerDrag,{key:S,dataItem:o,vertical:e,item:this.$props.dataItem},null)},this):r.createVNode($.SchedulerDrag,{dataItem:this.compDragItem,vertical:e,item:this.$props.dataItem},null))},w=function(e){return this.compResizeItem&&this.editable.resize&&(Array.isArray(this.compResizeItem)?this.compResizeItem.map(function(o,S){return r.createVNode(v.SchedulerResize,{key:S,format:this.$props.format,dataItem:o,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null)},this):r.createVNode(v.SchedulerResize,{format:this.$props.format,dataItem:this.compResizeItem,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null))};return r.createVNode(N.BaseView,{id:this.$props.id,viewProps:{...this.$props},class:A?"k-scheduler-weekview":"k-scheduler-dayview",ranges:[...this.dayRanges,...this.timeRanges],baseSlots:[...h,...p]},{default:()=>[r.createVNode("div",{class:"k-scheduler-head"},[this.ks.orientation==="horizontal"?[r.createVNode(I.HorizontalResourceIterator,{nested:!0,group:this.ks.props.group,resources:this.ks.props.resources,rowContent:R.DayViewGroupRowContent,childRowContent:R.DayViewGroupRowContent},{default:()=>[r.createVNode(z.DayViewHead,{timeRanges:this.timeRanges,dateHeaderCell:this.$props.dateHeaderCell},null)]}),r.createVNode(I.HorizontalResourceIterator,{group:this.ks.props.group,resources:this.ks.props.resources,rowContent:f.DayViewAllDayRowContent,childRowContent:f.DayViewAllDayRowContent},{default:()=>[r.createVNode(H.DayViewAllDaySlots,{editable:this.$props.editable,dayRanges:this.dayRanges,daySlots:h,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,numberOfDays:s,workWeekStart:l,workWeekEnd:d,onDataaction:this.handleDataAction},null)]}),this.hasMounted&&u.map(function(e){return r.createVNode(t,{key:e.isRecurring?`${e.uid}:${e.group.index}:${e.range.index}:${e.originalStart}`:`${e.uid}:${e.group.index}:${e.range.index}`,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,form:this.$props.form,onDataaction:this.handleDataAction,onDragitemchange:this.handleDragItemChange,onResizeitemchange:this.handleResizeItemChange,item:this.$props.item,viewItem:this.$props.viewItem,editable:this.$props.editable,vertical:!1},null)},this),this.compDragItem&&this.compDragItem.isAllDay&&y.call(this,!1),this.compResizeItem&&this.compResizeItem.isAllDay&&w.call(this,!1)]:r.createVNode(k.VerticalResourceIterator,{group:this.ks.props.group,resources:this.ks.props.resources,emptyCell:!0,editable:this.$props.editable},{default:()=>[r.createVNode(z.DayViewHead,{timeRanges:this.timeRanges,dateHeaderCell:this.$props.dateHeaderCell},null)]})]),r.createVNode("div",{class:"k-scheduler-body"},[this.ks.orientation==="horizontal"?[p.filter(e=>e.group.index===b&&e.range.index===b).map(function(e,o){return r.createVNode(I.HorizontalResourceIterator,{key:e.index,nested:!1,group:this.ks.props.group,resources:this.ks.props.resources,rowContent:M.DayViewRowContent,rowContentProps:{timeHeaderCell:this.$props.timeHeaderCell,isMaster:o%a===0,isLast:(o+1)%a===0,contentSlot:e}},{default:()=>[r.createVNode(x.DayViewMiddleRow,{slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,timeRanges:this.timeRanges,timeSlots:p,slotDivisions:a,rootIndex:o,root:e,numberOfDays:s,workDayStart:m,workDayEnd:c,workWeekStart:l,workWeekEnd:d,onDataaction:this.handleDataAction,editable:this.$props.editable},null)]})},this),this.$props.currentTimeMarker&&i.intersects(i.first(this.timeRanges).start,i.last(this.timeRanges).end,new Date,new Date,!0)&&[r.createVNode(_.CurrentTimeMarkerArrow,null,null),r.createVNode(F.CurrentTimeMarker,null,null)]]:[r.createVNode(k.VerticalResourceIterator,{nested:!0,group:this.ks.props.group,resources:this.ks.props.resources,onDataaction:this.handleDataAction,more:{timeRanges:this.timeRanges,timeSlots:p,workDayStart:m,workDayEnd:c,numberOfDays:s,workWeekStart:l,workWeekEnd:d,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,editable:this.$props.editable,currentTimeMarker:this.$props.currentTimeMarker}},{default:()=>[r.createVNode(q.DayViewVerticalRow,{onDataaction:this.handleDataAction,daySlots:h,timeSlots:p,dayRanges:this.dayRanges,editable:this.$props.editable},null)]}),this.hasMounted&&u.map(function(e){return r.createVNode(t,{key:e.isRecurring?`${e.uid}:${e.group.index} : ${e.range.index} : ${e.originalStart}`:`${e.uid}:${e.group.index} : ${e.range.index}`,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,onDataaction:this.handleDataAction,onDragitemchange:this.handleDragItemChange,onResizeitemchange:this.handleResizeItemChange,viewItem:this.$props.viewItem,item:this.$props.item,form:this.$props.form,editable:this.$props.editable,vertical:!1},null)},this),this.compDragItem&&this.compDragItem.isAllDay&&y.call(this,!0),this.compResizeItem&&this.compResizeItem.isAllDay&&w.call(this,!0)],this.hasMounted&&D.map(function(e){return r.createVNode(t,{key:e.isRecurring?`${e.uid}:${e.group.index}:${e.range.index}:${e.originalStart}`:`${e.uid}:${e.group.index}:${e.range.index}`,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,format:"t",onDataaction:this.handleDataAction,onDragitemchange:this.handleDragItemChange,onResizeitemchange:this.handleResizeItemChange,viewItem:this.$props.viewItem,item:this.$props.item,form:this.$props.form,editable:this.$props.editable,vertical:!0},null)},this),this.compDragItem&&!this.compDragItem.isAllDay&&y.call(this,!0),this.compResizeItem&&!this.compResizeItem.isAllDay&&w.call(this,!0)])]})},methods:{handleDataAction(t){this.$emit("dataaction",t)},handleDragItemChange(t){this.currentDragItem=t},handleResizeItemChange(t){this.currentResizeItem=t}}}),C=({date:t,numberOfDays:s=1,timezone:a})=>{const l=n.ZonedDate.fromLocalDate(t,a),d=n.getDate(l),m=n.addDays(d,s),c=n.ZonedDate.fromUTCDate(i.toUTCDateTime(d),a),u=n.ZonedDate.fromUTCDate(i.toUTCDateTime(m),a),D=new Date(c.getTime()),h=new Date(u.getTime());return{start:D,end:h,zonedStart:c,zonedEnd:u}};exports.MultiDayView=B;exports.multiDayViewDateRange=C;
