/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),y=require("../../components/BaseView.js"),s=require("@progress/kendo-date-math"),g=require("../common/VerticalResourceIterator.js"),I=require("../common/HorizontalResourceIterator.js"),a=require("../../utils/main.js"),p=require("../../messages/main.js"),R=require("../../slots/SchedulerEditSlot.js"),m=require("@progress/kendo-vue-intl"),z=require("../../constants/main.js"),$=require("../../services/rangeService.js"),v=require("../../services/slotsService.js"),k=require("../../services/occurrenceService.js"),V=require("../../services/itemsService.js"),S=require("./MonthViewHead.js"),b=require("./MonthViewBody.js"),w=require("../../items/SchedulerEditItem.js"),f=require("../common/SchedulerResize.js"),D=require("../common/SchedulerDrag.js"),N=t.defineComponent({name:"KendoMonthView",props:{itemsPerSlot:{type:Number,default:2},name:{type:String,default:"month"},dateRange:{type:[Function,Object],default:function(){return q}},slotDuration:{type:Number,default:24*60},slotDivisions:{type:Number,default:1},numberOfDays:{type:Number,default:31},dragItem:{type:Object,default:function(){}},resizeItem:{type:Object,default:function(){}},title:String,selectedDateFormat:{type:String,default:"{0:Y}"},selectedShortDateFormat:{type:String,default:"{0:Y}"},dateHeaderCell:[String,Function,Object],slotRender:[String,Function,Object],viewSlot:[String,Function,Object],resizeHint:[String,Function,Object],item:[String,Function,Object],viewItem:[String,Function,Object],editable:{type:[Boolean,Object],default:!1}},inject:{ks:{default:{}},kendoLocalizationService:{default:null},kendoIntlService:{default:null}},created(){this.intl=m.provideIntlService(this)},mounted(){this.hasMounted=!0},data(){return{hasMounted:!1,currentDragItem:void 0,currentResizeItem:void 0}},computed:{ranges(){return $.toRanges(this.ks.dateRange,{step:s.MS_PER_DAY*z.DAYS_IN_WEEK_COUNT,timezone:this.ks.timezone})},monthSlots(){return v.toSlots(this.ks.dateRange,{step:s.MS_PER_DAY},{groups:this.ks.groups,ranges:this.ranges})},occurrences(){return k.toOccurrences(this.ks.dataItems,{dateRange:this.ks.dateRange,fields:this.ks.fields,timezone:this.ks.timezone})},items(){const r=V.toItems(this.occurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.ranges});return a.mapItemsToSlots(r,this.monthSlots,!0),a.mapSlotsToItems(r,this.monthSlots,!0),r},compDragItem(){return this.dragItem!==void 0?this.dragItem:this.currentDragItem},compResizeItem(){return this.resizeItem!==void 0?this.resizeItem:this.currentResizeItem}},render(){this.localization=m.provideLocalizationService(this),this.localization.toLanguageString(p.monthViewTitle,p.messages[p.monthViewTitle]);const r=this.$props.editItem||w.SchedulerEditItem;this.$props.editSlot||R.SchedulerEditSlot;const c=this.items,o=this.monthSlots,d=function(e){return this.compDragItem&&this.$props.editable.drag&&(Array.isArray(this.compDragItem)?this.compDragItem.map(function(i,h){return t.createVNode(D.SchedulerDrag,{key:h,ignoreIsAllDay:!0,dataItem:i,vertical:e,item:this.$props.dataItem},null)},this):t.createVNode(D.SchedulerDrag,{ignoreIsAllDay:!0,dataItem:this.compDragItem,vertical:e,item:this.$props.dataItem},null))},u=function(e){return this.compResizeItem&&this.editable.resize&&(Array.isArray(this.compResizeItem)?this.compResizeItem.map(function(i,h){return t.createVNode(f.SchedulerResize,{key:h,format:this.$props.format,ignoreIsAllDay:!0,dataItem:i,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null)},this):t.createVNode(f.SchedulerResize,{format:this.$props.format,ignoreIsAllDay:!0,dataItem:this.compResizeItem,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null))};this.intl=m.provideIntlService(this);const n=this.$props.itemsPerSlot,l=this.ks.orientation==="horizontal"?this.ranges.map(function(e,i){return t.createVNode(I.HorizontalResourceIterator,{resources:this.ks.props.resources,group:this.ks.props.group},{default:()=>[t.createVNode(b.MonthViewBody,{editable:this.$props.editable,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,monthSlots:o,rangeIndex:i,itemsPerSlot:n,onDataaction:this.handleDataAction},null)]})},this):t.createVNode(g.VerticalResourceIterator,{nested:!0,resources:this.ks.props.resources,group:this.ks.props.group,onDataaction:this.handleDataAction,more:{slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,monthSlots:o,ranges:this.ranges,itemsPerSlot:n,editable:this.$props.editable}},null);return t.createVNode(y.BaseView,{viewProps:{...this.$props},baseSlots:o,ranges:this.ranges,class:"k-scheduler-monthview"},{default:()=>[t.createVNode("div",{class:"k-scheduler-head"},[this.ks.orientation==="horizontal"?t.createVNode(I.HorizontalResourceIterator,{nested:!0,resources:this.ks.props.resources,group:this.ks.props.group},{default:()=>[t.createVNode(S.MonthViewHead,{monthSlots:o,dateHeaderCell:this.$props.dateHeaderCell},null)]}):t.createVNode(g.VerticalResourceIterator,{resources:this.ks.props.resources,group:this.ks.props.group},{default:()=>[t.createVNode(S.MonthViewHead,{monthSlots:o,dateHeaderCell:this.$props.dateHeaderCell},null)]})]),t.createVNode("div",{class:"k-scheduler-body"},[l,this.hasMounted&&c.filter(e=>e.order===null||e.order<n).sort(a.orderSort).map(function(e){return t.createVNode(r,{item:this.$props.item,viewItem:this.$props.viewItem,form:this.$props.form,key:e.isRecurring?`${e.uid}:${e.group.index}:${e.range.index}:${e.originalStart}`:`${e.uid}:${e.group.index}:${e.range.index}`,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,onDragitemchange:this.handleDragItemChange,onResizeitemchange:this.handleResizeItemChange,onDataaction:this.handleDataAction,itemStyle:{transform:"translateY(30px)"},vertical:!1,editable:this.$props.editable,ignoreIsAllDay:!0},null)},this),this.compDragItem&&d.call(this,!1),this.compResizeItem&&u.call(this,!1)])]})},methods:{handleDataAction(r){this.$emit("dataaction",r)},handleDragItemChange(r){this.currentDragItem=r},handleResizeItemChange(r){this.currentResizeItem=r}}}),q=({intl:r,date:c,timezone:o})=>{const d=s.firstDayInWeek(s.firstDayOfMonth(s.getDate(c)),r.firstDay()),u=s.addDays(s.firstDayInWeek(s.lastDayOfMonth(s.getDate(c)),r.firstDay()),z.DAYS_IN_WEEK_COUNT),n=s.ZonedDate.fromUTCDate(a.toUTCDateTime(d),o),l=s.ZonedDate.fromUTCDate(a.toUTCDateTime(u),o),e=new Date(n.getTime()),i=new Date(l.getTime());return{start:e,end:i,zonedStart:n,zonedEnd:l}};exports.MonthView=N;
