/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const r=require("vue"),z=require("../../components/BaseView.js"),o=require("@progress/kendo-date-math"),S=require("../common/HorizontalResourceIterator.js"),T=require("./TimelineViewRowContent.js"),v=require("./TimelineViewAllEventsRowContent.js"),y=require("../common/VerticalResourceIterator.js"),n=require("../../utils/main.js"),$=require("../../services/rangeService.js"),b=require("../../services/slotsService.js"),E=require("../../services/occurrenceService.js"),V=require("../../services/itemsService.js"),C=require("./TimelineViewBody.js"),N=require("../../constants/main.js"),D=require("@progress/kendo-vue-intl"),A=require("../../items/SchedulerEditItem.js"),f=require("../common/SchedulerResize.js"),w=require("../common/SchedulerDrag.js"),q=require("../../components/DateHeaderCell.js"),x=require("../../components/TimeHeaderCell.js"),I=require("../../hooks/useRowSync.js"),k=require("../../hooks/useCellSync.js");function R(t){return typeof t=="function"||Object.prototype.toString.call(t)==="[object Object]"&&!r.isVNode(t)}const M="t",O=0,H=r.defineComponent({name:"KendoMultiDayTimelineView",props:{name:{type:String,default:"multi-day-timeline"},title:{type:String,default:"Multi Day Timeline"},currentTimeMarker:{type:Boolean,default:!0},dragItem:{type:Object,default:function(){}},resizeItem:{type:Object,default:function(){}},showWorkHours:{type:Boolean,default:!0},dateRange:{type:[Function,Object],default:function(){return j}},selectedDateFormat:{type:String,default:"{0:D} - {1:D}"},selectedShortDateFormat:{type:String,default:"{0:d} - {1:d}"},step:{type:Number,default:1},numberOfDays:{type:Number,default:1},startTime:{type:String,default:"00:00"},endTime:{type:String,default:"00:00"},workDayStart:{type:String,default:"8:00"},workDayEnd:{type:String,default:"17:00"},workWeekStart:{type:Number,default:o.Day.Monday},workWeekEnd:{type:Number,default:o.Day.Friday},slotDivisions:{type:Number,default:2},slotDuration:{type:Number,default:60},defaultShowWorkHours:{type:Boolean,default:!0},columnWidth:{type:Number,default:100},dateHeaderCell:[String,Function,Object],timeHeaderCell:[String,Function,Object],slotRender:[String,Function,Object],viewSlot:[String,Function,Object],resizeHint:[String,Function,Object],item:[String,Function,Object],viewItem:[String,Function,Object],editable:{type:[Boolean,Object],default:!1},onDataaction:Function},data(){return{hasMounted:!1,currentDragItem:void 0,currentResizeItem:void 0}},inject:{ks:{default:null},kendoIntlService:{default:null}},computed:{viewStart(){this.intl=D.provideIntlService(this);const t=this.intl.parseDate(this.$props.workDayStart),i=this.intl.parseDate(this.$props.startTime);return this.showWorkHours?t:i},viewEnd(){this.intl=D.provideIntlService(this);const t=this.intl.parseDate(this.$props.workDayEnd),i=this.intl.parseDate(this.$props.endTime);return this.showWorkHours?t:i},ranges(){return $.toRanges(this.ks.dateRange,{step:o.MS_PER_DAY,timezone:this.ks.timezone})},timelineSlots(){return b.toSlots(this.ks.dateRange,{step:this.slotDuration/this.slotDivisions*o.MS_PER_MINUTE},{groups:this.ks.groups,ranges:this.ranges}).filter(i=>n.isInTimeRange(i.zonedStart,this.viewStart,this.viewEnd)||this.viewStart.getTime()===this.viewEnd.getTime())},occurrences(){return E.toOccurrences(this.ks.dataItems,{dateRange:this.ks.dateRange,fields:this.ks.fields,timezone:this.ks.timezone})},items(){const t=V.toItems(this.occurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.ranges}).filter(i=>this.viewStart.getTime()===this.viewEnd.getTime()||n.isInTimeRange(i.zonedStart,this.viewStart,this.viewEnd)||n.isInTimeRange(i.zonedEnd,this.viewStart,this.viewEnd)||n.isInTimeRange(new Date(i.zonedEnd.getTime()-(i.zonedEnd.getTime()-i.zonedStart.getTime())/2),this.viewStart,this.viewEnd));return n.mapItemsToSlots(t,this.timelineSlots,!0),n.mapSlotsToItems(t,this.timelineSlots,!0),t},compDragItem(){return this.dragItem!==void 0?this.dragItem:this.currentDragItem},compResizeItem(){return this.resizeItem!==void 0?this.resizeItem:this.currentResizeItem}},mounted(){this.timeRef=null,this.bodyRef=null,this.hasMounted=!0,k.useCellSync({element:this.$el,selector:".k-resource-cell",attribute:"data-depth-index",explicitDepth:!0}),I.useRowSync({element:this.$el,selector:".k-resource-row",horizontalAttribute:"data-depth-index",verticalAttribute:"data-resource-index",applyTo:".k-resource-cell"})},updated(){k.useCellSync({element:this.$el,selector:".k-resource-cell",attribute:"data-depth-index",explicitDepth:!0}),I.useRowSync({element:this.$el,selector:".k-resource-row",horizontalAttribute:"data-depth-index",verticalAttribute:"data-resource-index",applyTo:".k-resource-cell"})},render(){const t=D.provideIntlService(this),i=this.$props.slotDuration,u=t.parseDate(this.$props.workDayStart),h=t.parseDate(this.$props.workDayEnd),p=[...this.items],a=[...this.timelineSlots],c=(this.ks.orientation==="horizontal"?a.length:a.length/this.ks.groups.length)*(this.$props.columnWidth+N.BORDER_WIDTH),m=function(e){return this.compDragItem&&this.$props.editable.drag&&(Array.isArray(this.compDragItem)?this.compDragItem.map(function(d,s){return r.createVNode(w.SchedulerDrag,{key:s,ignoreIsAllDay:!0,dataItem:d,vertical:e,item:this.$props.dataItem},null)},this):r.createVNode(w.SchedulerDrag,{ignoreIsAllDay:!0,dataItem:this.compDragItem,vertical:e,item:this.$props.dataItem},null))},g=function(e){return this.compResizeItem&&this.editable.resize&&(Array.isArray(this.compResizeItem)?this.compResizeItem.map(function(d,s){return r.createVNode(f.SchedulerResize,{key:s,format:this.$props.format,ignoreIsAllDay:!0,dataItem:d,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null)},this):r.createVNode(f.SchedulerResize,{format:this.$props.format,ignoreIsAllDay:!0,dataItem:this.compResizeItem,viewItem:this.$props.viewItem,item:this.$props.item,vertical:e},null))},l=[r.createVNode("div",{class:"k-scheduler-row"},[this.ranges.map(function(e,d){return r.createVNode(q.DateHeaderCell,{as:this.$props.dateHeaderCell,key:d,date:e.zonedStart,start:e.start,end:e.end,format:"m"},null)},this)]),r.createVNode("div",{class:"k-scheduler-row",ref:"timeRef"},[this.ranges.map(function(e,d){return a.filter(s=>s.group.index===O&&s.range.index===d).map(function(s){return s.zonedStart.getMinutes()%i===0?r.createVNode(x.TimeHeaderCell,{key:s.index,as:this.$props.timeHeaderCell,format:M,date:s.zonedStart,start:s.zonedStart,end:s.zonedEnd},null):null},this)},this)])];return r.createVNode(z.BaseView,{id:this.$props.id,class:"k-scheduler-timeline-view",viewProps:{...this.$props},baseSlots:a,ranges:this.ranges},{default:()=>[r.createVNode("div",{class:"k-scheduler-head",style:{width:c+"px"}},[this.ks.orientation==="horizontal"?r.createVNode(S.HorizontalResourceIterator,{nested:!0,group:this.ks.props.group,resources:this.ks.props.resources,rowContent:T.TimelineViewRowContent},R(l)?l:{default:()=>[l]}):r.createVNode(y.VerticalResourceIterator,{wrapGroup:!0,group:this.ks.props.group,resources:this.ks.props.resources,editable:this.$props.editable},R(l)?l:{default:()=>[l]})]),r.createVNode("div",{class:"k-scheduler-body",style:{width:c+"px"},ref:"bodyRef"},[this.ks.orientation==="horizontal"?r.createVNode(S.HorizontalResourceIterator,{group:this.ks.props.group,resources:this.ks.props.resources,rowContent:v.TimelineViewAllEventsRowContent},{default:()=>[r.createVNode(C.TimelineViewBody,{editable:this.$props.editable,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,ranges:this.ranges,workDayStart:u,workDayEnd:h,timelineSlots:a,onDataaction:this.handleDataAction},null)]}):r.createVNode(y.VerticalResourceIterator,{nested:!0,wrapGroup:!0,group:this.ks.props.group,resources:this.ks.props.resources,onDataaction:this.handleDataAction,more:{ranges:this.ranges,workDayStart:u,workDayEnd:h,timelineSlots:a,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,editable:this.$props.editable,currentTimeMarker:this.$props.currentTimeMarker}},null),this.hasMounted&&p.sort(n.orderSort).map(function(e){return r.createVNode(A.SchedulerEditItem,{key:e.isRecurring?`${e.uid}:${e.group.index}:${e.range.index}:${e.originalStart}`:`${e.uid}:${e.group.index}:${e.range.index}`,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,format:"t",form:this.$props.form,onDragitemchange:this.handleDragItemChange,onResizeitemchange:this.handleResizeItemChange,onDataaction:this.handleDataAction,item:this.$props.item,viewItem:this.$props.viewItem,editable:this.$props.editable,ignoreIsAllDay:!0,vertical:!1},null)},this),this.compDragItem&&m.call(this,!1),this.compResizeItem&&g.call(this,!1)])]})},methods:{handleDataAction(t){this.$emit("dataaction",t)},handleDragItemChange(t){this.currentDragItem=t},handleResizeItemChange(t){this.currentResizeItem=t}}}),j=({date:t,numberOfDays:i=1,timezone:u})=>{const h=o.ZonedDate.fromLocalDate(t,u),p=o.getDate(h),a=o.addDays(p,i),c=o.ZonedDate.fromUTCDate(n.toUTCDateTime(p),u),m=o.ZonedDate.fromUTCDate(n.toUTCDateTime(a),u),g=new Date(c.getTime()),l=new Date(m.getTime());return{start:g,end:l,zonedStart:c,zonedEnd:m}};exports.MultiDayTimelineView=H;
