/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const d=require("vue"),S=require("../day/MultiDayView.js"),i=require("../../constants/main.js"),e=require("@progress/kendo-date-math"),a=require("../../messages/main.js"),u=require("../../utils/main.js"),h=require("@progress/kendo-vue-intl"),k=d.defineComponent({name:"KendoWeekView",emits:{dataaction:null},props:{name:{type:String,default:"week"},slotDuration:{type:Number,default:60},slotDivisions:{type:Number,default:2},numberOfDays:{type:Number,default:i.DAYS_IN_WEEK_COUNT},dateRange:{type:[Function,Object],default:function(){return f}},title:String,selectedDateFormat:{type:String,default:"{0:D} - {1:D}"},selectedShortDateFormat:{type:String,default:"{0:d} - {1:d}"},showWorkHours:{type:Boolean,default:!0},currentTimeMarker:{type:Boolean,default:!0},startTime:{type:String,default:"00:00"},endTime:{type:String,default:"23:59"},workDayStart:{type:String,default:"08:00"},workDayEnd:{type:String,default:"17:00"},workWeekStart:{type:Number,default:e.Day.Monday},workWeekEnd:{type:Number,default:e.Day.Friday},defaultShowWorkHours:{type:Boolean,default:!0},dateHeaderCell:[String,Function,Object],timeHeaderCell:[String,Function,Object],slotRender:[String,Function,Object],viewSlot:[String,Function,Object],resizeHint:[String,Function,Object],item:[String,Function,Object],viewItem:[String,Function,Object],editable:{type:[Boolean,Object],default:!1},format:String},inject:{kendoLocalizationService:{default:null}},render(){const r=h.provideLocalizationService(this).toLanguageString(a.weekViewTitle,a.messages[a.weekViewTitle]);return d.createVNode(S.MultiDayView,{name:this.$props.name,dateRange:this.$props.dateRange,numberOfDays:this.$props.numberOfDays,slotDuration:this.$props.slotDuration,slotDivisions:this.$props.slotDivisions,selectedDateFormat:this.$props.selectedDateFormat,selectedShortDateFormat:this.$props.selectedShortDateFormat,showWorkHours:this.$props.showWorkHours,title:r,step:i.DAYS_IN_WEEK_COUNT,currentTimeMarker:this.$props.currentTimeMarker,startTime:this.$props.startTime,endTime:this.$props.endTime,workDayStart:this.$props.workDayStart,workDayEnd:this.$props.workDayEnd,workWeekStart:this.$props.workWeekStart,workWeekEnd:this.$props.workWeekEnd,defaultShowWorkHours:this.$props.defaultShowWorkHours,dateHeaderCell:this.$props.dateHeaderCell,timeHeaderCell:this.$props.timeHeaderCell,slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,resizeHint:this.$props.resizeHint,item:this.$props.item,viewItem:this.$props.viewItem,editable:this.$props.editable,onDataaction:this.handleDataAction},null)},methods:{handleDataAction(t){this.$emit("dataaction",t)}}}),w=t=>e.getDate(t),y=(t,r)=>e.getDate(e.addDays(t,r)),f=({intl:t,date:r,timezone:o})=>{const p=e.ZonedDate.fromLocalDate(r,o),n=w(e.firstDayInWeek(p,t.firstDay())),c=y(n,i.DAYS_IN_WEEK_COUNT),s=e.ZonedDate.fromUTCDate(u.toUTCDateTime(n),o),l=e.ZonedDate.fromUTCDate(u.toUTCDateTime(c),o),D=new Date(s.getTime()),m=new Date(l.getTime());return{start:D,end:m,zonedStart:s,zonedEnd:l}};exports.WeekView=k;
